////////////Alliance Mission 9////////////////////////////////////
//Objectives:	1)Rescue Striker One		 		//
//		2)Follow his instructions         		//
//////////////////////////////////////////////////////////////////
$missionName = "ab3";
$WarnDistance=4000;

exec("PPcampaignStdLib.cs");

MissionBriefInfo missionBriefInfo
{
   campaign             = "Fourth Earthsiege";
   title                = "King Kong";      
   planet               = *IDSTR_PLANET_TEMPERATE;     
   location             = "Hong Kong";
   dateOnMissionEnd     = 28334102;
   shortDesc            = "Rescue Striker One.";
   longDescRichText     = *IDSTR_AB3_BRF;
   media                = "ab3_brief_2.bmp";	//Good map misreads, too many colors?.
   successDescRichText  = *IDSTR_AB3_DBRF;
   failDescRichText     = "This is unnaceptable.";
   nextMission          = "ab4";
   soundVol             = "ab3.vol";
   successWavFile       = "";
};

MissionBriefObjective missionObjective1
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Rescue Striker One.";
   longTxt              = "Rescue Striker One from the cybrid ambush.";
   bmpName              = "ab3_obj1.bmp";
};

MissionBriefObjective missionObjective2
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Protect everybody.";
   longTxt              = "Protect Striker One's squad. They are all valuable pilots.";
   bmpName              = "ab3_obj2.bmp";
};

MissionBriefObjective missionObjective3
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Follow orders.";
   longTxt              = "Follow any instructions Striker One might give you regarding the state of the battlefield.";
   bmpName              = "ab3_obj3.bmp";
};

MissionBriefObjective missionObjective4
{
   isPrimary            = false;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Destroy all enemies.";
   longTxt              = "Destroy all cybrids in the region.";
   bmpName              = "ab3_obj4.bmp";
};

MissionBriefObjective missionObjective5
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_IGNORE;
   shortTxt             = "Destroy the paladin.";
   longTxt              = "";
   bmpName              = "";
};

MissionBriefObjective missionObjective6
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_IGNORE;
   shortTxt             = "Destroy the artillery.";
   longTxt              = "";
   bmpName              = "";
};

Pilot artillery	//wimpy
{
   id = 34;
   
   skill = 0.0;
   accuracy = 0.0;
   aggressiveness = 0.0;
   activateDist = 100.0;
   deactivateBuff = 50.0;
   targetFreq = 10.0;
   trackFreq = 2.0;
   fireFreq = 5.0;
   LOSFreq = 1.0;
   orderFreq = 2.0;
};

Pilot striker
{
   id = 35;
   
   name = "Striker One";
   skill = 0.9;
   accuracy = 0.4;
   aggressiveness = 0.3;
   activateDist = 900.0;
   deactivateBuff = 300.0;
   targetFreq = 2.0;
   trackFreq = 0.8;
   fireFreq = 0.2;
   LOSFreq = 0.1;
   orderFreq = 0.5;
};

Pilot strsquadmate1
{
   id = 36;
   
   name = "Delta Six";
   skill = 1.0;
   accuracy = 1.0;
   aggressiveness = 0.9;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 0.5;
   fireFreq = 0.5;
   LOSFreq = 0.33;
   orderFreq = 5.5;
};

Pilot strsquadmate2
{
   id = 37;
   
   name = "Janos";
   skill = 0.9;
   accuracy = 0.4;
   aggressiveness = 0.3;
   activateDist = 900.0;
   deactivateBuff = 300.0;
   targetFreq = 2.0;
   trackFreq = 0.8;
   fireFreq = 0.2;
   LOSFreq = 0.1;
   orderFreq = 0.5;
};

Pilot strsquadmate3
{
   id = 38;
   
   name = "Hangman";
   skill = 0.7;
   accuracy = 0.7;
   aggressiveness = 0.5;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 0.2;
   fireFreq = 0.2;
   LOSFreq = 0.2;
   orderFreq = 1.0;
};

//Map config
$server::HudMapViewOffsetX =  -800;
$server::HudMapViewOffsetY = -4000;

newFormation( brokenDelta, 0,0,0, -60,-40,0, 30,-20,0);

function player::onAdd(%who)
{
	$THEPLAYER=%who;
}

function vehicle::onAdd(%what)
{
	if(playerManager::vehicleIdToPlayerNum(%what)==$THEPLAYER)
	{
		$Player=%what;
		$Name=getHUDName($Player);
		initCinematic();
	}
}


function onMissionStart()
{
	$NavAlpha= getObjectId("MissionGroup/nav/navAlpha");
	$NavBravo= getObjectId("MissionGroup/nav/navBravo");
	$Transport= getObjectId("MissionGroup/Alliance/transport");
	$StrikerOne= getObjectId("MissionGroup/Striker Squad/Striker One");
	$DeltaSix= getObjectId("MissionGroup/Striker Squad/Delta Six");
	$Hangman= getObjectId("MissionGroup/Striker Squad/Hangman");
	$StrikerSquad= getObjectId("MissionGroup/Striker Squad");
	$Patrol= getObjectId("MissionGroup/Cybrids/Patrol");
	$PatrolLeader= getObjectId("MissionGroup/Cybrids/Patrol/Alpha");
	$Artil1= getObjectId("MissionGroup/Cybrids/Artillery/artil1");
	$Artil2= getObjectId("MissionGroup/Cybrids/Artillery/artil2");
	$Artil3= getObjectId("MissionGroup/Cybrids/Artillery/artil3");
	$Intruded= false;
	$Retreat= false;
	$TransportAttacked= false;
	$StrikerOne.death= "sm_jaguar_dc1.wav";
	$DeltaSix.death= "sm_delta6_dc1.wav";
	$Hangman.death= "sm_hman_dc1.wav";
	$HQ= $Transport;	//Required for tactical updates
	damageObject($StrikerOne, 13000); damageObject($DeltaSix, 3000); damageObject($Hangman, 10000);
	order($StrikerSquad, holdPosition, true);
	order($StrikerSquad, holdFire, true);
	order($StrikerSquad, shutDown, true);
	order($PatrolLeader, makeLeader, true);
	order($Patrol, formation, delta);
	cdAudioCycle(12,7,3);
	schedule("initNav();",1);	//Must wait for player to actually appear on the map
}

function initCinematic()
{
	fadeEvent( 0, in, 10, 0, 0, 0 );
	schedule("lockUserInput(true);",1);
	setFlyByCamera($Transport, 60, 300, -20);
	schedule("setOrbitCamera( $Transport,160, 10, 30);",10);
	//setOrbitCamera( $Transport,160, 10, 30);
	schedule("setWideScreen(false);",10.4);		//So player can see chats.
	order($Transport, guard, "MissionGroup/Paths/Transport");
	updateCybridOrders();	//meanwhile...
}

function initNav()
{
	setNavMarker($NavAlpha, true, -1);
}

function initDistanceChecks()
{
	checkBoundary("leave", $Player, $NavAlpha, $WarnDistance, "warn");
	checkBoundary("leave", $Player, $NavAlpha, 4500, "leave");
	checkBoundary("enter", $Player, $StrikerOne, 1500, "firstContact");
}

function startMission()
{
	initDistanceChecks();
}

function rainSounds()
{
   %weather1 = getObjectId("MissionGroup\\World");
   createAmbientSoundSource(%weather1, 0, 0, 0);
   addToAmbientSoundSource(%weather1, "sfx_rain.wav", IDPRF_2D_LOOPING);
}
/////////////////Alliance Functions////////////////////////////////////////////////////////////
function unloadTransport()
{
	$SquadMateOne = getObjectId("playerSquad/squadMate1");	//Can't define in onMissionStart because don't exist yet
	$SquadMateTwo = getObjectId("playerSquad/squadMate2");
	$SquadMateThree = getObjectId("playerSquad/squadMate3");
	setPosition($Player, -1455, -4744, 47, 0);
	setPosition($SquadMateOne, -1378, -4800, 44, -90);
	setPosition($SquadMateThree, -1449, -4895, 49, 180);
	setPosition($SquadMateTwo, -1529, -4838, 50, 90);
	schedule("lockUserInput(false);",1);
	schedule("focusCamera(\"player\");",1);
	schedule("fadeEvent( 0, in, 1, 0, 0, 0 );",1);
	schedule("initDistanceChecks();",5);
}

function transport::vehicle::onAttacked(%attackee, %attacker)
{
	if ($TransportAttacked) return;
	$TransportAttacked= true;
	schedule("$TransportAttacked=false;",30);
	say(0,0,*IDSTR_AB3_CON5);
}

function transport::vehicle::onDestroyed(%destroyee, %destroyer)
{
	say(0,0,"gen_static01.wav");
	missionObjective1.status=*IDSTR_OBJ_FAILED;
	forceToDebrief();
}

function transport::vehicle::onDisabled()
{
	say(0,0,*IDSTR_AB3_CON6);
	missionObjective1.status=*IDSTR_OBJ_FAILED;
	forceToDebrief();
}

function transport::vehicle::onArrived(%who, %where)
{
	if (%where==getObjectId("MissionGroup/Paths/Transport/marker1"))
	{
		say(0,0,*IDSTR_AB3_STRK1);
		schedule("say(0,0,*DSTR_AB3_CON1);",5);
	}
	if (%where==getObjectId("MissionGroup/Paths/Transport/marker2"))
		say(0,0,*IDSTR_AB3_CON2);
	if (%where==getObjectId("MissionGroup/Paths/Transport/marker3"))
	{
		order($Transport, guard, "MissionGroup/Paths/Transport/marker4");
		say(0,0,*IDSTR_AB3_CON3,"HB1_DRP01.wav");
	}
	if (%where==getObjectId("MissionGroup/Paths/Transport/marker4"))
	{
		order($Transport, clear, true);
		schedule("order($Transport, shutDown, true); say(0,0,*IDSTR_AB3_CON4);",5);
		schedule("fadeEvent( 0, out, 1, 0, 0, 0 );",9);
		schedule("unloadTransport();",10);
		order($PatrolLeader, guard, $Transport);
	}
}

function firstContact()
{	//DONT turn the first one into a string
	say(0,0,*IDSTR_AB3_STRK11@$Name@*IDSTR_AB3_STRK12);
	schedule("say(0,0,*IDSTR_AB3_STRK2);",6);
	schedule("say(0,0,*IDSTR_AB3_STRK3);",12);
	missionObjective5.status=*IDSTR_OBJ_ACTIVE; schedule("say(0,0,\"mission_obj_new.wav\");",15);
}

function squad::vehicle::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(kill, %destroyee, %destroyer);
	if (%destroyee==$Striker)
		missionObjective1.status=*IDSTR_OBJ_FAILED;
	else missionObjective2.status=*IDSTR_OBJ_FAILED;
	say(0,0,%destroyee.death);
	forceToDebrief();
}

function strikerLeaves()
{
	order($StrikerSquad, shutDown, false);
	order($StrikerSquad, holdPosition, false);
	order($StrikerSquad, holdFire, false);
	%x= getPosition($Transport, x);
	%y= getPosition($Transport, y);
	setPosition($NavBravo, %x, %y, getTerrainHeight(%x,%y));
	setNavMarker($NavBravo, true, -1);
	$Retreat=true;
	%x= getPosition("MissionGroup/Paths/striker/marker1",x);
	%y= getPosition("MissionGroup/Paths/striker/marker1",y);
	setPosition($StrikerOne, %x, %y, getTerrainHeight(%x, %y)+20);
	order($StrikerOne, guard, "MissionGroup/Paths/striker");
	checkBoundary("enter", $StrikerOne, $Transport, 200, "atTransport");
}

function atTransport()
{
	if ((getDistance($Player, $Transport)<250)&&(isSafe(*IDSTR_TEAM_YELLOW, $Transport, 1000)))
		checkForVictory();
	else schedule("atTransport();",10);
}

function transportAttacked()
{
	say(0,0,*IDSTR_AB3_STRK4);
	for (%i=0; %i<6; %i++)	//ring of six seekers
	{
		%n= %i+1;
		%angle= 60*%i;
		%vehicle= getObjectId("MissionGroup/Cybrids/wave2/herc"@%n);
		%x= getPosition($Transport,x)+ 750*sin(%angle);
		%y= getPosition($Transport,y)+ 750*cos(%angle);
		setPosition(%vehicle, %x, %y, getTerrainHeight(%x,%y)+10, adjustAngle(%angle+180));
		schedule("order("@%vehicle@", guard, $Player);",1);
		schedule("order("@%vehicle@", attack, $Player);",1);
	}
	schedule("setPosition(\"MissionGroup/Cybrids/wave2/Tank1\","@%x@","@%y@", getTerrainHeight("@%x@","@%y@"));",10);
	schedule("setPosition(\"MissionGroup/Cybrids/wave2/Tank2\","@%x@","@%y@", getTerrainHeight("@%x@","@%y@"));",15);
	schedule("order(\"MissionGroup/Cybrids/wave2/Tank1\", guard, $Player);",11);
	schedule("order(\"MissionGroup/Cybrids/wave2/Tank1\", attack, $Player);",11);
	schedule("order(\"MissionGroup/Cybrids/wave2/Tank1\", guard, $Player);",16);
	schedule("order(\"MissionGroup/Cybrids/wave2/Tank1\", attack, $Player);",16);
	for (%i=0; %i<6; %i++)
	{
		%n= %i+7;
		%angle= 60*%i;
		%vehicle= getObjectId("MissionGroup/Cybrids/wave2/herc"@%n);
		%x= getPosition($Transport,x)+ 750*sin(%angle);
		%y= getPosition($Transport,y)+ 750*cos(%angle);
		schedule("setPosition("@%vehicle@", "@%x@", "@%y@", getTerrainHeight("@%x@","@%y@")+10, adjustAngle("@%angle@"+180));",30);
		schedule("order("@%vehicle@", guard, $Player);",31);
		schedule("order("@%vehicle@", attack, $Player);",31);
	}
}

function squad::vehicle::onArrived(%who, %where)
{
	if (%who!=$StrikerOne) return;	//Otherwise dont need
	if (%where==getObjectId("MissionGroup/Paths/striker/marker1"))
	{
		say(0,0,*IDSTR_AB3_STRK5);
		order($StrikerOne, makeLeader, true);
		order($StrikerSquad, formation, brokenDelta);
	}
	if (%where==getObjectId("MissionGroup/Paths/striker/marker2"))
	{
		order($StrikerOne, clear, true);
		schedule("order($StrikerOne, guard, \"MissionGroup/Paths/striker/marker3\");",15);	//nothing happens if guards path
	}
	if (%where==getObjectId("MissionGroup/Paths/striker/marker3"))
	{
		order($StrikerOne, holdPosition, true);
		order($StrikerOne, guard, "MissionGroup/Paths/striker/marker4");
	}
	if (%where==getObjectId("MissionGroup/Paths/striker/marker4"))
	{
		order($StrikerOne, guard, "MissionGroup/Paths/striker/marker5");
	}
	if (%where==getObjectId("MissionGroup/Paths/striker/marker5"))
	{
		order($StrikerOne, guard, "MissionGroup/Paths/striker/marker6");
	}
	if (%where==getObjectId("MissionGroup/Paths/striker/marker6"))
	{
		order($StrikerOne, clear, true);
		order($StrikerOne, guard, $Transport);
	}
}
/////////////////Cybrid Functions//////////////////////////////////////////////////////////////
function vehicle::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(kill, %destroyee, %destroyer);
	if (isGroupDestroyed("MissionGroup/Cybrids"))
	{
		missionObjective4.status=*IDSTR_OBJ_COMPLETED;
		say(0,0,"gen_oc01.wav");
	}
	if ((isGroupDestroyed("MissionGroup/Cybrids/Artillery"))&&(missionObjective6.status==*IDSTR_OBJ_ACTIVE))
		onArtilleryDestroyed();
	if ((isGroupDestroyed("MissionGroup/Cybrids/wave1"))&&(missionObjective5.status==*IDSTR_OBJ_COMPLETED)&&(!$Retreat))
	{
		say(0,0,*IDSTR_AB3_STRK6);
		strikerLeaves();
	}
}

function updateCybridOrders()
{
	order("MissionGroup/Cybrids/wave1", attack, $StrikerOne);
//	schedule("updateCybridOrders();",15);
}

function artilleryAttack()
{
	%marker1= getObjectId("MissionGroup/DropPoints/Artillery/marker1");
	%marker2= getObjectId("MissionGroup/DropPoints/Artillery/marker2");
	%marker3= getObjectId("MissionGroup/DropPoints/Artillery/marker3");
	$pod1= getObjectId("MissionGroup/pods/cDropPod1");
	$pod2= getObjectId("MissionGroup/pods/cDropPod2");
	$pod3= getObjectId("MissionGroup/pods/cDropPod3");
	tacticalUpdate(dropPod, getPosition(%marker1,x), getPosition(%marker1,y));
	if (!$Retreat) say(0,0,*IDSTR_AB3_STRK7);
	else say(0,0,*IDSTR_AB3_STRK8);
	missionObjective6.status=*IDSTR_OBJ_ACTIVE;
	say(0,0,"mission_obj_new.wav");
	%x=getPosition(%marker1,x); %y=getPosition(%marker1,y);
	dropPod(%x, %y, getTerrainHeight(%x, %y), $pod1);
	%x=getPosition(%marker2,x); %y=getPosition(%marker2,y);
	dropPod(%x, %y, getTerrainHeight(%x, %y), $pod2);
	%x=getPosition(%marker3,x); %y=getPosition(%marker3,y);
	dropPod(%marker3, $pod3);
	schedule("setPosition($Artil1, getPosition("@%marker1@",x)-30, getPosition("@%marker1@",y)-30, getPosition("@%marker1@",z)+1);",10);
	schedule("setPosition($Artil2, getPosition("@%marker2@",x)-30, getPosition("@%marker2@",y)-30, getPosition("@%marker2@",z)+1);",10);
	schedule("setPosition($Artil3, getPosition("@%marker3@",x)-30, getPosition("@%marker3@",y)-30, getPosition("@%marker3@",z)+1);",10);
	schedule("selectTargets();",10);
	order($Artil1, holdFire, true);
	order($Artil2, holdFire, true);
	order($Artil3, holdFire, true);
}

function selectTargets()		//This determines the length of the targetting calibrations
{
	schedule("order($Artil1, holdFire, false); order($Artil1, attack, $StrikerOne);",randomInt(1,12));
	schedule("order($Artil2, holdFire, false); order($Artil2, attack, $StrikerOne);",randomInt(1,12));
	schedule("order($Artil3, holdFire, false); order($Artil3, attack, $StrikerOne);",randomInt(1,12));
	schedule("say(0,0,\"Artillery_warn.WAV\");",15);	//Give time for shell to fly over
}
/////////////////Mission Functions/////////////////////////////////////////////////////////////
function onArtilleryDestroyed()
{
	missionObjective6.status=*IDSTR_OBJ_COMPLETED;
	say(0,0,"gen_oc01.wav");
	checkBoundary("enter", $player, $Transport, "400", "transportAttacked");
}

function husk::structure::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(destroy, %destroyee, %destroyer);
	say(0,0,"gen_oc01.wav");
	missionObjective5.status=*IDSTR_OBJ_COMPLETED;
	schedule("artilleryAttack();",30);
	if ((isGroupDestroyed("MissionGroup/Cybrids/wave1"))&&(!$Retreat))
	{
		say(0,0,*IDSTR_AB3_STRK9);
		strikerLeaves();
	}
	else say(0,0,*IDSTR_AB3_STRK10);
}

function structure::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(destroy, %destroyee, %destroyer);
}
/////////////////Miscellaneous/////////////////////////////////////////////////////////////////
function checkForVictory()
{	
	if (missionObjective1.status==*IDSTR_OBJ_ACTIVE) missionObjective1.status=*IDSTR_OBJ_COMPLETED;
	if (missionObjective2.status==*IDSTR_OBJ_ACTIVE) missionObjective2.status=*IDSTR_OBJ_COMPLETED;
	if ((missionObjective5.status==*IDSTR_OBJ_COMPLETED)&&(missionObjective6.status==*IDSTR_OBJ_COMPLETED)) missionObjective3.status=*IDSTR_OBJ_COMPLETED;
	say(0,0,*IDSTR_AB3_CON7);
	doInventory();
	schedule("forceToDebrief();",5);
}

function doInventory()
{
	inventoryVehicleAdjust(		temperate,	1,	1);	//Apocalypse
	inventoryWeaponAdjust(		temperate,	117,	4);	//HATC
	inventoryWeaponAdjust(		temperate,	105,	2);	//EMP
	inventoryComponentAdjust(	temperate,	202,	1);	//Standard Reactor
	inventoryComponentAdjust(	temperate,	304,	1);	//Centurion Shield
	inventoryComponentAdjust(	temperate,	400,	1);	//Basic Sensor
	inventoryComponentAdjust(	temperate,	108,	1);	//Heavy Cruise Engine
	inventoryComponentAdjust(	temperate,	801,	1);	//Improved Computer
	inventoryComponentAdjust(	temperate,	928,	1);	//DURAC
	inventoryComponentAdjust(	temperate,	820,	1);	//THERM
	inventoryComponentAdjust(	temperate,	850,	1);	//SAMP
	InventoryPilotSet(		temperate,	6,	true);	// Hangman, Imperial
}

function win()		//Admin debug function only
{
	missionObjective1.status=*IDSTR_OBJ_COMPLETED;
	missionObjective2.status=*IDSTR_OBJ_COMPLETED;
	missionObjective3.status=*IDSTR_OBJ_COMPLETED;
	missionObjective4.status=*IDSTR_OBJ_COMPLETED;
	missionObjective5.status=*IDSTR_OBJ_COMPLETED;
	missionObjective6.status=*IDSTR_OBJ_COMPLETED;
	doInventory();
	forceToDebrief();
}

function tacticalUpdate(%mode, %arg1, %arg2)	//All functions work on this mission
{
	//if (isGroupDestroyed($Player)) return;
	if (isGroupDestroyed($HQ)) return;
	debugLog(%mode);
	if (%mode==kill)	//Vehicle destroyed
	{
		if ((%arg1==%arg2)||(%arg2==0))
			say(0,0,"<F4>TACTICAL UPDATE: "@getHUDName(%arg1)@" has been destroyed");
		else say(0,0,"<F4>TACTICAL UPDATE: "@getHUDName(%arg1)@" has been destroyed by "@getHUDName(%arg2));
	}
	else if (%mode==destroy)	//Structure or turret destroyed
	{
		%temp= getHUDName(%arg1);
		if ((%temp=="")||(%temp==false)) %temp= "Structure";
		if ((%arg1==%arg2)||(%arg2==0))
			say(0,0,"<F4>TACTICAL UPDATE: "@%temp@" has been destroyed");
		else say(0,0,"<F4>TACTICAL UPDATE: "@%temp@" has been destroyed by "@getHUDName(%arg2));
	}
	else if(%mode==dropPod)
	{
		%dist= getHypotenuse(getPosition($Player,x)-%arg1,getPosition($Player,y)-%arg2);
		%dist= floor(%dist+0.5);
		%dir= OVBearing(%arg1 - getPosition($Player,x), %arg2 - getPosition($Player,y));
		say(0,0,"<F4>TACTICAL UPDATE: Drop pod impact detected: "@%dir@" at "@%dist@"m");
	}
	else if (%mode==misc)
		say(0,0,"<F4>TACTICAL UPDATE: "@%arg1);
	else say(0,0,"<F4>TACTICAL UPDATE: <F5>DATA ERROR");
}