//Introduction to Battle of Haryana
//The Cybrid retreat
//DISABLED

newObject( cinematicsVol, SimVolume, "PPcinematic.vol");
newObject( cinematicsVol, SimVolume, "cinematic.vol");
smoothCameraPath();

function player::onAdd(%who)
{
        $THEPLAYER = %who;
	cdAudioCycle(10);
}

function vehicle::onAdd(%what)
{
        if (playerManager::vehicleIdToPlayerNum(%what)==$THEPLAYER)
        {schedule("startMovie();",2);}
}

function startMovie()
{
	setWideScreen(true);
	echo("!");
        setOrbitCamera($Leader, 15, -150, 0);
	echo("!");
	schedule("initScene1();",1);
	fadeEvent(0, out, 0.1, 0, 0, 0);
}

function onMissionLoad()
{
	$Leader=getObjectId("MissionGroup/scene1/Group/leader");
	$Group=getObjectId("MissionGroup/scene1/Group");
	$Hits=10;
	$Path3Reached= false;
	$Path4Reached= false;
	$ExecDown=false;
	//order($Leader, makeLeader, true);
	//order(getObjectId($Group), formation, Delta);
	order(getObjectId($Group), speed, high);	//They're RUNNING
	order(getObjectId("MissionGroup/scene2"), holdFire, true);
	order(getObjectId("MissionGroup/scene2"), holdPosition, true);
	order(getObjectId("MissionGroup/scene3"), holdFire, true);
	order(getObjectId("MissionGroup/scene3"), holdPosition, true);
	order(getObjectId("MissionGroup/scene4"), holdFire, true);
	order(getObjectId("MissionGroup/scene4"), holdPosition, true);
}

function initScene1()
{
	schedule("setWideScreen(false); setWideScreen(true);",2);
	order($Group, guard, "MissionGroup/scene1/destination");
	fadeEvent(0, in, 5, 0, 0, 0);
	schedule("initScene2();",10);	//No fade
	schedule("say(0,0,\"CYB_GN12.WAV\");",3);
	schedule("say(0,0,\"F3_Riana_woo.WAV\");",3);
	schedule("say(0,0,\"CYB_EA01.WAV\");",3);
}

function initScene2()
{
	schedule("setWideScreen(false); setWideScreen(true);",5);
	setOrbitCamera(getObjectId("MissionGroup/scene2/Caanon"), 15, 150, 0);
	order(getObjectId("MissionGroup/scene2/runner"), holdPosition, false);
	schedule("order(getObjectId(\"MissionGroup/scene2/runner\"), guard, \"MissionGroup/scene2/destination\");",1);
	order(getObjectId("MissionGroup/scene2/runner"), speed, high);
	order(getObjectId("MissionGroup/scene2/Caanon"), holdFire, false);
	order(getObjectId("MissionGroup/scene2/Caanon"), attack, "MissionGroup/scene2/runner");
	schedule("say(0,0,\"he3_caa03.wav\");",3.5);
	schedule("focusCamera(splineCamera, path3);",5);	//No fade
}

function path3::camera::waypoint1(%this)
{
	if($Path3Reached != false) return;
	order(getObjectId("MissionGroup/scene3"), holdFire, false);
	order(getObjectId("MissionGroup/scene3"), holdPosition, false);
	order("MissionGroup/scene3/Basilisk", holdPosition, true);
	order("MissionGroup/scene3/exec", guard, "MissionGroup/scene3/execPath");
	order("MissionGroup/scene3/exec", holdPosition, true);
	order("MissionGroup/scene3/exec", speed, high);
	order("MissionGroup/scene3/GOAD", guard, "MissionGroup/scene3/goadPath");
	order("MissionGroup/scene3/GOAD", holdPosition, true);
	schedule("order(\"MissionGroup/scene3/Basilisk\", attack, \"MissionGroup/scene3/exec\");",3);
	order("MissionGroup/scene3/mino", attack, "MissionGroup/scene3/goad");
	$Path3Reached = true;
}

function vehicle::onAttacked(%attackee, %attacker)
{
	if (%attackee!=getObjectId("MissionGroup/scene3/exec")) return;
	$Hits--;
	if ($Hits==0) damageArea("MissionGroup/scene3/exec", 4, 0, 5, 1, 10000);
}

function vehicle::onDestroyed(%destroyee, %destroyer)
{
	if (%destroyee==getObjectId("MissionGroup/scene3/exec"))
	{
		if ($ExecDown) return;
		fadeEvent(0, out, 5, 0, 0, 0);
		say(0,0,"F6_DWish_gotem.WAV");
		//Camera path screwed up here, causes SS to freeze
		schedule("initScene4();",5.5);
		$ExecDown=true;
	}
}

function initScene4()
{
	say(0,0,"cin_ab2_cyb01.wav");
	schedule("say(0,0,\"HMK.wav\");",14);
	%x= getPosition(getObjectId("MissionGroup/scene4/marker1"),x);
	%y= getPosition(getObjectId("MissionGroup/scene4/marker1"),y);
	%z= getPosition(getObjectId("MissionGroup/scene4/marker1"),z);
	setTowerCamera(getObjectId("MissionGroup/scene4/marker2"), %x, %y, %z);
	fadeEvent(0, in, 5, 0, 0, 0);
	order(getObjectId("MissionGroup/scene4/Metagens"), holdFire, false);
	order(getObjectId("MissionGroup/scene4"), holdPosition, false);
	order(getObjectId("MissionGroup/scene4"), speed, high);
	schedule("order(\"MissionGroup/scene4/Promies\", guard, \"MissionGroup/scene4/destination\");",1.5);
	schedule("order(\"MissionGroup/scene4/Metagens\", attack, \"MissionGroup/scene4/Promies\");",3);
	schedule("fadeEvent(0, out, 5, 0, 0, 0);",18);
	schedule("focusCamera(splineCamera, path5);",23);
}

function path5::camera::waypoint1(%this)
{
	fadeEvent(0, in, 5, 0, 0, 0);
}

function path5::camera::waypoint8(%this)
{
	fadeEvent(0, out, 7, 0, 0, 0);
}