							
#Initial Planet Inventory Setup for Post-Promethean Campaign

#Inventory setup parameters			

#inventoryComponentSet	(planet, componentId, amount);		
# set the availability of a component	planet:		either a planet name or -1 for the stash
#	componentId:		id of the component, or -1 for all components
#	amount:		number available, or -1 for an infinite supply
#			
#inventoryWeaponSet	(planet, weaponId, amount);		
# set the availability of a weapon	planet:		either a planet name or -1 for the stash
#	weaponId:		id of the weapon, or -1 for all weapons
#	amount:		number available, or -1 for an infinite supply
#			
#inventoryVehicleSet	(planet, vehicleId, amount);		
# set the availability of a vehicle	planet:		a planet name (cannot use the stash here)
#	vehicleId:		id of the vehicle, or -1 for all vehicles
#	amount:		number available, or -1 for an infinite supply
#			
#inventoryPilotSet	(planet, pilotId, available);		
# set the availability of a pilot	planet:		a planet name (cannot use the stash here)
#	pilotId:		id of the pilot or name of the pilot
#	available:		true/false value
#			
#inventoryList	(planet, id);		
# display availability for components, 	planet:		a planet name or -1 for the stash
# weapons, vehicles, and pilots of the	id:		the id in question -- will display information for all types
# specified id			
	

#Player Stash	
inventoryVehicleSet(	-1, 	5,	1	);	#Basilisk
inventoryVehicleSet(	-1, 	10,	1	);	#Knight's Apocalypse
InventoryWeaponSet(	-1,	101,	2	);	#Laser
InventoryWeaponSet(	-1,	107,	4	);	#Blaster
InventoryWeaponSet(	-1,	108,	2	);	#Heavy Blaster
InventoryWeaponSet(	-1,	115,	2	);	#Nanite Cannon
InventoryWeaponSet(	-1,	3,	1	);	#Disrupter
InventoryComponentSet(	-1,	202,	1	);	#Medium Human Reactor 1 -- Standard
InventoryComponentSet(	-1,	203,	1	);	#Medium Human Reactor 2 -- medium
InventoryComponentSet(	-1,	300,	1	);	#Human Standard Shield
InventoryComponentSet(	-1,	302,	2	);	#Human Guardian Shield
InventoryComponentSet(	-1,	412,	3	);	#Human Ultralight Sensor
InventoryComponentSet(	-1,	104,	1	);	#Human High Output Medium Engine
InventoryComponentSet(	-1,	107,	1	);	#Human Improved Heavy Engine
InventoryComponentSet(	-1,	109,	1	);	#Human High Output Heavy Engine
InventoryComponentSet(	-1,	112,	1	);	#Human Improved Assault Engine
InventoryComponentSet(	-1,	801,	3	);	#Human Improved Computer
InventoryComponentSet(	-1,	805,	1	);	#Cybrid Basic Systems Control
InventoryComponentSet(	-1,	810,	5	);	#Guardian ECM
InventoryComponentSet(	-1,	927,	1	);	#Quad Bonded Metaplas (QBM)

#Titan

#Hercs

#Chasses
inventoryVehicleSet(	titan,	1,	0	);	#Apocalypse
inventoryVehicleSet(	titan,	2,	0	);	#Minotaur
inventoryVehicleSet(	titan,	3,	0	);	#Gorgon
inventoryVehicleSet(	titan,	4,	1	);	#Talon
inventoryVehicleSet(	titan, 	5,	0	);	#Basilisk
inventoryVehicleSet(	titan, 	6,	1	);	#Paladin
inventoryVehicleSet(	titan, 	7,	0	);	#Myrmidon
inventoryVehicleSet(	titan, 	8,	0	);	#Disrupter
inventoryVehicleSet(	titan, 	9,	0	);	#Banshee	//This is for those who use extra .fvh/.veh files
inventoryVehicleSet(	titan, 	10,	0	);	#Knight's Apocalypse
inventoryVehicleSet(	titan, 	11,	1	);	#Knight's Minotaur
inventoryVehicleSet(	titan, 	12,	0	);	#Knight's Gorgon
inventoryVehicleSet(	titan, 	13,	0	);	#Knight's Talon
inventoryVehicleSet(	titan, 	14,	0	);	#Knight's Basilisk
inventoryVehicleSet(	titan, 	15,	0	);	#Knight's Paladin
inventoryVehicleSet(	titan, 	16,	0	);	#Knight's Myrmidon
inventoryVehicleSet(	titan, 	17,	1	);	#Knight's Disrupter
inventoryVehicleSet(	titan, 	18,	0	);	#Cargo Ship
inventoryVehicleSet(	titan, 	19,	0	);	#Escape Ship
inventoryVehicleSet(	titan, 	20,	0	);	#Seeker
inventoryVehicleSet(	titan, 	21,	0	);	#Goad
inventoryVehicleSet(	titan, 	22,	0	);	#Shepherd
inventoryVehicleSet(	titan, 	23,	0	);	#Adjudicator
inventoryVehicleSet(	titan, 	24,	0	);	#Executioner
inventoryVehicleSet(	titan, 	25,	0	);	#Bolo
inventoryVehicleSet(	titan, 	26,	0	);	#Recluse
inventoryVehicleSet(	titan, 	27,	0	);	#AI Platinum Guard Adjudicator
inventoryVehicleSet(	titan, 	28,	0	);	#AI Platinum Guard Executioner
inventoryVehicleSet(	titan, 	29,	0	);	#Prometheus
inventoryVehicleSet(	titan, 	30,	1	);	#Emancipator
inventoryVehicleSet(	titan, 	31,	0	);	#Avenger
inventoryVehicleSet(	titan, 	32,	1	);	#Dreadlock
inventoryVehicleSet(	titan, 	33,	0	);	#Olympian
inventoryVehicleSet(	titan, 	34,	0	);	#Who knows?
inventoryVehicleSet(	titan, 	35,	0	);	#Metagen Seeker
inventoryVehicleSet(	titan, 	36,	0	);	#Metagen Goad
inventoryVehicleSet(	titan, 	37,	0	);	#Metagen Shepherd
inventoryVehicleSet(	titan, 	38,	0	);	#Metagen Adjudicator
inventoryVehicleSet(	titan, 	39,	0	);	#Metagen Executioner
inventoryVehicleSet(	titan, 	40,	0	);	#Harabec's Apocalypse
inventoryVehicleSet(	titan, 	41,	0	);	#Harabec's Predator
inventoryVehicleSet(	titan, 	42,	0	);	#Caanon's Basilisk
inventoryVehicleSet(	titan, 	43,	0	);	#Cinematic Apocalypse
inventoryVehicleSet(	titan, 	44,	0	);	#Cinematic Basilisk
inventoryVehicleSet(	titan, 	45,	0	);	#Super Predator
inventoryVehicleSet(	titan, 	50,	0	);	#Outrider Apocalypse
inventoryVehicleSet(	titan, 	51,	0	);	#Outrider Dreadlock
inventoryVehicleSet(	titan, 	52,	0	);	#Outrider Emancipator
inventoryVehicleSet(	titan, 	55,	0	);	#Platinum Guard Adjudicator
inventoryVehicleSet(	titan, 	56,	0	);	#Platinum Guard Executioner
inventoryVehicleSet(	titan, 	60,	0	);	#Terran Empty Cargo
inventoryVehicleSet(	titan, 	61,	0	);	#Terran Ammo Cargo
inventoryVehicleSet(	titan, 	62,	0	);	#Terran Big Ammo Cargo
inventoryVehicleSet(	titan, 	63,	0	);	#Terran Personnel Cargo
inventoryVehicleSet(	titan, 	64,	0	);	#Terran Fuel Cargo
inventoryVehicleSet(	titan, 	65,	0	);	#Terran Minotaur Cargo
inventoryVehicleSet(	titan, 	66,	0	);	#Rebel Empty Cargo
inventoryVehicleSet(	titan, 	67,	0	);	#Rebel Ammo Cargo
inventoryVehicleSet(	titan, 	68,	0	);	#Rebel Big Cargo Cargo
inventoryVehicleSet(	titan, 	69,	0	);	#Rebel Big Box Cargo
inventoryVehicleSet(	titan, 	70,	0	);	#Rebel Box Cargo
inventoryVehicleSet(	titan, 	71,	0	);	#Utility Truck
inventoryVehicleSet(	titan, 	72,	0	);	#Thumper
inventoryVehicleSet(	titan, 	73,	0	);	#Starfield
inventoryVehicleSet(	titan, 	90,	0	);	#Cybrid Artillery
inventoryVehicleSet(	titan, 	91,	0	);	#Advocate
inventoryVehicleSet(	titan, 	92,	0	);	#Emissary
inventoryVehicleSet(	titan, 	93,	0	);	#Consul
inventoryVehicleSet(	titan, 	94,	0	);	#Mobile Nexus
inventoryVehicleSet(	titan, 	95,	0	);	#Protector
inventoryVehicleSet(	titan, 	96,	0	);	#Watcher/Jammer
inventoryVehicleSet(	titan, 	110,	0	);	#Knight's Banshee
inventoryVehicleSet(	titan, 	111,	0	);	#Knight's Dropship
inventoryVehicleSet(	titan, 	130,	0	);	#Dropship
inventoryVehicleSet(	titan, 	131,	0	);	#Draco
inventoryVehicleSet(	titan, 	132,	0	);	#Conveyor
inventoryVehicleSet(	titan, 	133,	0	);	#Nike
inventoryVehicleSet(	titan, 	134,	0	);	#Suppressor
inventoryVehicleSet(	titan, 	135,	0	);	#Sovereign
inventoryVehicleSet(	titan, 	136,	0	);	#Surveyor
inventoryVehicleSet(	titan, 	137,	0	);	#Rebel Artillery
inventoryVehicleSet(	titan, 	138,	0	);	#Pouncer Assault Bike
inventoryVehicleSet(	titan, 	150,	0	);	#SUAV Bus

					
#weapons
InventoryWeaponSet(	titan,	101,	2	);	#Laser
InventoryWeaponSet(	titan,	102,	2	);	#Heavy Laser
InventoryWeaponSet(	titan,	103,	4	);	#Comp Laser
InventoryWeaponSet(	titan,	104,	1	);	#Twin Laser
InventoryWeaponSet(	titan,	105,	10	);	#Emp
InventoryWeaponSet(	titan,	106,	2	);	#ELF
InventoryWeaponSet(	titan,	107,	0	);	#Blaster
InventoryWeaponSet(	titan,	108,	0	);	#Heavy Blaster
InventoryWeaponSet(	titan,	109,	0	);	#PBW
InventoryWeaponSet(	titan,	110,	2	);	#Plasma
InventoryWeaponSet(	titan,	111,	0	);	#Blink Gun 
InventoryWeaponSet(	titan,	112,	0	);	#Qgun
InventoryWeaponSet(	titan,	113,	0	);	#MFAC
InventoryWeaponSet(	titan,	114,	0	);	#Nano Infuser
InventoryWeaponSet(	titan,	115,	0	);	#Nanite Cannon
InventoryWeaponSet(	titan,	116,	6	);	#Autocannon
InventoryWeaponSet(	titan,	117,	4	);	#Hvy Autocannon
InventoryWeaponSet(	titan,	118,	1	);	#EMC Autocannon
InventoryWeaponSet(	titan,	119,	4	);	#Blast Cannon
InventoryWeaponSet(	titan,	120,	2	);	#Hvy Blast Can
InventoryWeaponSet(	titan,	121,	0	);	#Rail Gun
InventoryWeaponSet(	titan,	10,	0	);	#Laser G. Bomb
InventoryWeaponSet(	titan,	11,	0	);	#Hades Bomb
InventoryWeaponSet(	titan,	124,	4	);	#Pit Viper 8
InventoryWeaponSet(	titan,	125,	2	);	#Pit Viper 12
InventoryWeaponSet(	titan,	126,	6	);	#Sparrow 6
InventoryWeaponSet(	titan,	127,	2	);	#Sparrow 10
InventoryWeaponSet(	titan,	128,	2	);	#SWARM 6
InventoryWeaponSet(	titan,	129,	4	);	#Minion
InventoryWeaponSet(	titan,	130,	0	);	#Shrike 8
InventoryWeaponSet(	titan,	147,	4	);	#Aphid
InventoryWeaponSet(	titan,	131,	0	);	#Arachnitron 8
InventoryWeaponSet(	titan,	132,	0	);	#Arachnitron 10 
InventoryWeaponSet(	titan,	133,	0	);	#Arachnitron 15 
InventoryWeaponSet(	titan,	134,	4	);	#Proximity 6 
InventoryWeaponSet(	titan,	135,	3	);	#Proximity 8 
InventoryWeaponSet(	titan,	136,	1	);	#Proximity 10
InventoryWeaponSet(	titan,	1,	0	);	#Nike
InventoryWeaponSet(	titan,	2,	0	);	#AML
InventoryWeaponSet(	titan,	142,	0	);	#Radiation Gun
InventoryWeaponSet(	titan,	3,	0	);	#Disrupter
InventoryWeaponSet(	titan,	4,	1	);	#Electrohull
InventoryWeaponSet(	titan,	5,	0	);	#Seismic Prob
InventoryWeaponSet(	titan,	146,	0	);	#FOG
InventoryWeaponSet(	titan,	20,	0	);	#Cyb Artillery
InventoryWeaponSet(	titan,	150,	0	);	#SMART Gun

#Reactors					
InventoryComponentSet(	titan,	200,	1	);	# Human Micro Reactor
InventoryComponentSet(	titan,	201,	2	);	# Small Human Reactor 2 -- small
InventoryComponentSet(	titan,	202,	3	);	# Medium Human Reactor 1 -- Standard
InventoryComponentSet(	titan,	203,	2	);	# Medium Human Reactor 2 -- medium
InventoryComponentSet(	titan,	204,	4	);	# Large Human Reactor 1 -- large
InventoryComponentSet(	titan,	205,	1	);	# Large Human Reactor 2-- Maxim
					
#Shields					
InventoryComponentSet(	titan,	300,	0	);	# Human Standard Shield
InventoryComponentSet(	titan,	301,	1	);	# Human Protector Shield
InventoryComponentSet(	titan,	302,	0	);	# Human Guardian Shield
InventoryComponentSet(	titan,	303,	1	);	# Human FastCharge Shield
InventoryComponentSet(	titan,	304,	3	);	# Human Centurian Shield
InventoryComponentSet(	titan,	305,	3	);	# Human Repulsor Shield
InventoryComponentSet(	titan,	306,	2	);	# Human Titan Shield
InventoryComponentSet(	titan,	307,	1	);	# Human Medusa Shield
					
#Sensors					
InventoryComponentSet(	titan,	400,	2	);	# Basic Human Sensor
InventoryComponentSet(	titan,	401,	2	);	# Long Range Sensor -- Ranger
InventoryComponentSet(	titan,	408,	2	);	#Standard Human Sensor
InventoryComponentSet(	titan,	409,	1	);	#Human Longbow Sensor
InventoryComponentSet(	titan,	410,	2	);	#Human Infiltrator Sensor
InventoryComponentSet(	titan,	411,	1	);	#Human Crossbow Sensor
InventoryComponentSet(	titan,	412,	0	);	#Human Ultralight Sensor
InventoryComponentSet(	titan,	413,	1	);	#Human Bloodhound Sensor
InventoryComponentSet(	titan,	414,	1	);	#Emission Sensor
					
#Engines					
InventoryComponentSet(	titan,	100,	2	);	# Human Light Vehicle Engine
InventoryComponentSet(	titan,	101,	2	);	# Human High Output Light Engine
InventoryComponentSet(	titan,	102,	2	);	# Human Light Agility Engine
InventoryComponentSet(	titan,	103,	2	);	# Human Standard Medium Engine
InventoryComponentSet(	titan,	104,	2	);	# Human High Output Medium Engine
InventoryComponentSet(	titan,	105,	2	);	# Human Medium Agility Engine
InventoryComponentSet(	titan,	106,	1	);	# Human Standard Heavy Engine
InventoryComponentSet(	titan,	107,	0	);	# Human Improved Heavy Engine
InventoryComponentSet(	titan,	108,	2	);	# Human Heavy Cruise Engine
InventoryComponentSet(	titan,	109,	1	);	# Human High Output Heavy Engine
InventoryComponentSet(	titan,	110,	2	);	# Human Heavy Agility Engine
InventoryComponentSet(	titan,	111,	1	);	# Human Standard Assault Engine
InventoryComponentSet(	titan,	112,	0	);	# Human Improved Assault Engine
InventoryComponentSet(	titan,	113,	0	);	# Human heavy turbine engine
InventoryComponentSet(	titan,	114,	0	);	# High Output Turbine (HOT)
InventoryComponentSet(	titan,	115,	0	);	# Human super heavy engine
					
#Internal Components					
InventoryComponentSet(	titan,	800,	5	);	# Human Basic Computer
InventoryComponentSet(	titan,	801,	3	);	# Human Improved Computer
InventoryComponentSet(	titan,	802,	2	);	# Human Advanced Computer
InventoryComponentSet(	titan,	805,	0	);	# Cybrid Basic Systems Control
InventoryComponentSet(	titan,	806,	0	);	# Cybrid Enhanced Systems Control
InventoryComponentSet(	titan,	807,	0	);	# Cybrid Advanced Systems Control
InventoryComponentSet(	titan,	810,	4	);	# Guardian ECM
InventoryComponentSet(	titan,	811,	2	);	# Doppleganger ECM
InventoryComponentSet(	titan,	812,	1	);	# Cybrid Alpha ECM
InventoryComponentSet(	titan,	813,	0	);	# Cybrid Beta ECM
InventoryComponentSet(	titan,	820,	4	);	# Thermal Diffuser
InventoryComponentSet(	titan,	825,	0	);	# Flares
InventoryComponentSet(	titan,	830,	2	);	# Chameleon
InventoryComponentSet(	titan,	831,	1	);	# Cuttlefish cloak
InventoryComponentSet(	titan,	840,	3	);	# Shield Modulator
InventoryComponentSet(	titan,	845,	3	);	# Shield Capacitor
InventoryComponentSet(	titan,	850,	3	);	# Shield Amplifier (increases shield constant)
InventoryComponentSet(	titan,	860,	2	);	# Laser Targeting Module
InventoryComponentSet(	titan,	865,	2	);	# Extra Battery
InventoryComponentSet(	titan,	870,	2	);	# Reactor Capacitor
InventoryComponentSet(	titan,	875,	0	);	# Field Stabilizer
InventoryComponentSet(	titan,	880,	1	);	# Rocket Booster
InventoryComponentSet(	titan,	885,	2	);	# Turbine Boost
InventoryComponentSet(	titan,	890,	1	);	# NanoRepair
InventoryComponentSet(	titan,	900,	2	);	# Angel Life Support
InventoryComponentSet(	titan,	910,	0	);	# Agrav Generator
InventoryComponentSet(	titan,	912,	1	);	# Electrohull
InventoryComponentSet(	titan,	914,	1	);	# UAP
					
#Armor					
InventoryComponentSet(	titan,	926,	2	);	#Carbon Fiber (CARLAM)
InventoryComponentSet(	titan,	927,	2	);	#Quad Bonded Metaplas (QBM)
InventoryComponentSet(	titan,	928,	2	);	#DURAC (Depleteted Uranium)
InventoryComponentSet(	titan,	929,	2	);	#Ceramic
InventoryComponentSet(	titan,	930,	1	);	#Crystaluminum
InventoryComponentSet(	titan,	931,	1	);	#Quicksilver

#Pilots					
InventoryPilotSet(	titan,	1,	false);	# Hattras-Smith, Imperial
InventoryPilotSet(	titan,	2,	false);	# Antha Destel, Rebel
InventoryPilotSet(	titan,	3,	false);	# Bestin Strader, Rebel
InventoryPilotSet(	titan,	4,	false);	# Dozer, Imperial
InventoryPilotSet(	titan,	5,	false);	# Galat Devans, Rebel
InventoryPilotSet(	titan,	6,	false);	# Hangman, Imperial
InventoryPilotSet(	titan,	7,	false);	# Boom-boom, Imperial
InventoryPilotSet(	titan,	8,	false);	# Valensa, Imperial
InventoryPilotSet(	titan,	9,	false);	# <Da Bomb>, Cybrid
InventoryPilotSet(	titan,	10,	false);	# Riana, Rebel
InventoryPilotSet(	titan,	11,	false);	# <Over-Redaction>, Cybrid
InventoryPilotSet(	titan,	12,	false);	# Fors Lost, Imperial
InventoryPilotSet(	titan,	13,	false);	# Generic
InventoryPilotSet(	titan,	14,	false);	# Generic
InventoryPilotSet(	titan,	15,	false);	# Generic

#Temperate

#Hercs

#Chasses
inventoryVehicleSet(	temperate,	1,	1	);	#Apocalypse
inventoryVehicleSet(	temperate,	2,	0	);	#Minotaur
inventoryVehicleSet(	temperate,	3,	1	);	#Gorgon
inventoryVehicleSet(	temperate,	4,	0	);	#Talon
inventoryVehicleSet(	temperate, 	5,	1	);	#Basilisk
inventoryVehicleSet(	temperate, 	6,	1	);	#Paladin
inventoryVehicleSet(	temperate, 	7,	1	);	#Myrmidon
inventoryVehicleSet(	temperate, 	8,	1	);	#Disrupter
inventoryVehicleSet(	temperate, 	9,	0	);	#Banshee	//This is for those who use extra .fvh/.veh files
inventoryVehicleSet(	temperate, 	10,	0	);	#Knight's Apocalypse
inventoryVehicleSet(	temperate, 	11,	1	);	#Knight's Minotaur
inventoryVehicleSet(	temperate, 	12,	0	);	#Knight's Gorgon
inventoryVehicleSet(	temperate, 	13,	0	);	#Knight's Talon
inventoryVehicleSet(	temperate, 	14,	0	);	#Knight's Basilisk
inventoryVehicleSet(	temperate, 	15,	0	);	#Knight's Paladin
inventoryVehicleSet(	temperate, 	16,	0	);	#Knight's Myrmidon
inventoryVehicleSet(	temperate, 	17,	0	);	#Knight's Disrupter
inventoryVehicleSet(	temperate, 	18,	0	);	#Cargo Ship
inventoryVehicleSet(	temperate, 	19,	0	);	#Escape Ship
inventoryVehicleSet(	temperate, 	20,	0	);	#Seeker
inventoryVehicleSet(	temperate, 	21,	0	);	#Goad
inventoryVehicleSet(	temperate, 	22,	0	);	#Shepherd
inventoryVehicleSet(	temperate, 	23,	0	);	#Adjudicator
inventoryVehicleSet(	temperate, 	24,	0	);	#Executioner
inventoryVehicleSet(	temperate, 	25,	0	);	#Bolo
inventoryVehicleSet(	temperate, 	26,	0	);	#Recluse
inventoryVehicleSet(	temperate, 	27,	0	);	#AI Platinum Guard Adjudicator
inventoryVehicleSet(	temperate, 	28,	0	);	#AI Platinum Guard Executioner
inventoryVehicleSet(	temperate, 	29,	0	);	#Prometheus
inventoryVehicleSet(	temperate, 	30,	0	);	#Emancipator
inventoryVehicleSet(	temperate, 	31,	0	);	#Avenger
inventoryVehicleSet(	temperate, 	32,	0	);	#Dreadlock
inventoryVehicleSet(	temperate, 	33,	0	);	#Olympian
inventoryVehicleSet(	temperate, 	34,	0	);	#Who knows?
inventoryVehicleSet(	temperate, 	35,	0	);	#Metagen Seeker
inventoryVehicleSet(	temperate, 	36,	0	);	#Metagen Goad
inventoryVehicleSet(	temperate, 	37,	0	);	#Metagen Shepherd
inventoryVehicleSet(	temperate, 	38,	0	);	#Metagen Adjudicator
inventoryVehicleSet(	temperate, 	39,	0	);	#Metagen Executioner
inventoryVehicleSet(	temperate, 	40,	0	);	#Harabec's Apocalypse
inventoryVehicleSet(	temperate, 	41,	0	);	#Harabec's Predator
inventoryVehicleSet(	temperate, 	42,	0	);	#Caanon's Basilisk
inventoryVehicleSet(	temperate, 	43,	0	);	#Cinematic Apocalypse
inventoryVehicleSet(	temperate, 	44,	0	);	#Cinematic Basilisk
inventoryVehicleSet(	temperate, 	45,	0	);	#Super Predator
inventoryVehicleSet(	temperate, 	50,	0	);	#Outrider Apocalypse
inventoryVehicleSet(	temperate, 	51,	0	);	#Outrider Dreadlock
inventoryVehicleSet(	temperate, 	52,	0	);	#Outrider Emancipator
inventoryVehicleSet(	temperate, 	55,	0	);	#Platinum Guard Adjudicator
inventoryVehicleSet(	temperate, 	56,	0	);	#Platinum Guard Executioner
inventoryVehicleSet(	temperate, 	60,	0	);	#Terran Empty Cargo
inventoryVehicleSet(	temperate, 	61,	0	);	#Terran Ammo Cargo
inventoryVehicleSet(	temperate, 	62,	0	);	#Terran Big Ammo Cargo
inventoryVehicleSet(	temperate, 	63,	0	);	#Terran Personnel Cargo
inventoryVehicleSet(	temperate, 	64,	0	);	#Terran Fuel Cargo
inventoryVehicleSet(	temperate, 	65,	0	);	#Terran Minotaur Cargo
inventoryVehicleSet(	temperate, 	66,	0	);	#Rebel Empty Cargo
inventoryVehicleSet(	temperate, 	67,	0	);	#Rebel Ammo Cargo
inventoryVehicleSet(	temperate, 	68,	0	);	#Rebel Big Cargo Cargo
inventoryVehicleSet(	temperate, 	69,	0	);	#Rebel Big Box Cargo
inventoryVehicleSet(	temperate, 	70,	0	);	#Rebel Box Cargo
inventoryVehicleSet(	temperate, 	71,	0	);	#Utility Truck
inventoryVehicleSet(	temperate, 	72,	0	);	#Thumper
inventoryVehicleSet(	temperate, 	73,	0	);	#Starfield
inventoryVehicleSet(	temperate, 	90,	0	);	#Cybrid Artillery
inventoryVehicleSet(	temperate, 	91,	0	);	#Advocate
inventoryVehicleSet(	temperate, 	92,	0	);	#Emissary
inventoryVehicleSet(	temperate, 	93,	0	);	#Consul
inventoryVehicleSet(	temperate, 	94,	0	);	#Mobile Nexus
inventoryVehicleSet(	temperate, 	95,	0	);	#Protector
inventoryVehicleSet(	temperate, 	96,	0	);	#Watcher/Jammer
inventoryVehicleSet(	temperate, 	110,	0	);	#Knight's Banshee
inventoryVehicleSet(	temperate, 	111,	0	);	#Knight's Dropship
inventoryVehicleSet(	temperate, 	130,	0	);	#Dropship
inventoryVehicleSet(	temperate, 	131,	0	);	#Draco
inventoryVehicleSet(	temperate, 	132,	0	);	#Conveyor
inventoryVehicleSet(	temperate, 	133,	0	);	#Nike
inventoryVehicleSet(	temperate, 	134,	0	);	#Suppressor
inventoryVehicleSet(	temperate, 	135,	0	);	#Sovereign
inventoryVehicleSet(	temperate, 	136,	0	);	#Surveyor
inventoryVehicleSet(	temperate, 	137,	0	);	#Rebel Artillery
inventoryVehicleSet(	temperate, 	138,	0	);	#Pouncer Assault Bike
inventoryVehicleSet(	temperate, 	150,	0	);	#SUAV Bus

#weapons
InventoryWeaponSet(	temperate,	101,	2	);	#Laser
InventoryWeaponSet(	temperate,	102,	2	);	#Heavy Laser
InventoryWeaponSet(	temperate,	103,	2	);	#Comp Laser
InventoryWeaponSet(	temperate,	104,	0	);	#Twin Laser
InventoryWeaponSet(	temperate,	105,	6	);	#Emp
InventoryWeaponSet(	temperate,	106,	1	);	#ELF
InventoryWeaponSet(	temperate,	107,	0	);	#Blaster
InventoryWeaponSet(	temperate,	108,	0	);	#Heavy Blaster
InventoryWeaponSet(	temperate,	109,	0	);	#PBW
InventoryWeaponSet(	temperate,	110,	2	);	#Plasma
InventoryWeaponSet(	temperate,	111,	0	);	#Blink Gun 
InventoryWeaponSet(	temperate,	112,	0	);	#Qgun
InventoryWeaponSet(	temperate,	113,	0	);	#MFAC
InventoryWeaponSet(	temperate,	114,	0	);	#Nano Infuser
InventoryWeaponSet(	temperate,	115,	0	);	#Nanite Cannon
InventoryWeaponSet(	temperate,	116,	2	);	#Autocannon
InventoryWeaponSet(	temperate,	117,	4	);	#Hvy Autocannon
InventoryWeaponSet(	temperate,	118,	0	);	#EMC Autocannon
InventoryWeaponSet(	temperate,	119,	2	);	#Blast Cannon
InventoryWeaponSet(	temperate,	120,	2	);	#Hvy Blast Can
InventoryWeaponSet(	temperate,	121,	0	);	#Rail Gun
InventoryWeaponSet(	temperate,	10,	0	);	#Laser G. Bomb
InventoryWeaponSet(	temperate,	11,	0	);	#Hades Bomb
InventoryWeaponSet(	temperate,	124,	4	);	#Pit Viper 8
InventoryWeaponSet(	temperate,	125,	4	);	#Pit Viper 12
InventoryWeaponSet(	temperate,	126,	4	);	#Sparrow 6
InventoryWeaponSet(	temperate,	127,	4	);	#Sparrow 10
InventoryWeaponSet(	temperate,	128,	0	);	#SWARM 6
InventoryWeaponSet(	temperate,	129,	4	);	#Minion
InventoryWeaponSet(	temperate,	130,	0	);	#Shrike 8
InventoryWeaponSet(	temperate,	147,	6	);	#Aphid
InventoryWeaponSet(	temperate,	131,	0	);	#Arachnitron 8
InventoryWeaponSet(	temperate,	132,	0	);	#Arachnitron 10 
InventoryWeaponSet(	temperate,	133,	0	);	#Arachnitron 15 
InventoryWeaponSet(	temperate,	134,	2	);	#Proximity 6 
InventoryWeaponSet(	temperate,	135,	2	);	#Proximity 8 
InventoryWeaponSet(	temperate,	136,	2	);	#Proximity 10
InventoryWeaponSet(	temperate,	1,	0	);	#Nike
InventoryWeaponSet(	temperate,	2,	0	);	#AML
InventoryWeaponSet(	temperate,	142,	0	);	#Radiation Gun
InventoryWeaponSet(	temperate,	3,	0	);	#Disrupter
InventoryWeaponSet(	temperate,	4,	1	);	#Electrohull
InventoryWeaponSet(	temperate,	5,	0	);	#Seismic Prob
InventoryWeaponSet(	temperate,	146,	0	);	#FOG
InventoryWeaponSet(	temperate,	20,	0	);	#Cyb Artillery
InventoryWeaponSet(	temperate,	150,	0	);	#SMART Gun

#Reactors					
InventoryComponentSet(	temperate,	200,	2	);	# Human Micro Reactor
InventoryComponentSet(	temperate,	201,	2	);	# Small Human Reactor 2 -- small
InventoryComponentSet(	temperate,	202,	0	);	# Medium Human Reactor 1 -- Standard
InventoryComponentSet(	temperate,	203,	0	);	# Medium Human Reactor 2 -- medium
InventoryComponentSet(	temperate,	204,	1	);	# Large Human Reactor 1 -- large
InventoryComponentSet(	temperate,	205,	0	);	# Large Human Reactor 2-- Maxim
					
#Shields					
InventoryComponentSet(	temperate,	300,	0	);	# Human Standard Shield
InventoryComponentSet(	temperate,	301,	0	);	# Human Protector Shield
InventoryComponentSet(	temperate,	302,	0	);	# Human Guardian Shield
InventoryComponentSet(	temperate,	303,	0	);	# Human FastCharge Shield
InventoryComponentSet(	temperate,	304,	2	);	# Human Centurian Shield
InventoryComponentSet(	temperate,	305,	1	);	# Human Repulsor Shield
InventoryComponentSet(	temperate,	306,	2	);	# Human Titan Shield
InventoryComponentSet(	temperate,	307,	1	);	# Human Medusa Shield
					
#Sensors					
InventoryComponentSet(	temperate,	400,	1	);	# Basic Human Sensor
InventoryComponentSet(	temperate,	401,	1	);	# Long Range Sensor -- Ranger
InventoryComponentSet(	temperate,	408,	2	);	#Standard Human Sensor
InventoryComponentSet(	temperate,	409,	3	);	#Human Longbow Sensor
InventoryComponentSet(	temperate,	410,	0	);	#Human Infiltrator Sensor
InventoryComponentSet(	temperate,	411,	2	);	#Human Crossbow Sensor
InventoryComponentSet(	temperate,	412,	0	);	#Human Ultralight Sensor
InventoryComponentSet(	temperate,	413,	2	);	#Human Bloodhound Sensor
InventoryComponentSet(	temperate,	414,	3	);	#Emission Sensor
					
#Engines					
InventoryComponentSet(	temperate,	100,	0	);	# Human Light Vehicle Engine
InventoryComponentSet(	temperate,	101,	0	);	# Human High Output Light Engine
InventoryComponentSet(	temperate,	102,	2	);	# Human Light Agility Engine
InventoryComponentSet(	temperate,	103,	0	);	# Human Standard Medium Engine
InventoryComponentSet(	temperate,	104,	0	);	# Human High Output Medium Engine
InventoryComponentSet(	temperate,	105,	2	);	# Human Medium Agility Engine
InventoryComponentSet(	temperate,	106,	0	);	# Human Standard Heavy Engine
InventoryComponentSet(	temperate,	107,	0	);	# Human Improved Heavy Engine
InventoryComponentSet(	temperate,	108,	4	);	# Human Heavy Cruise Engine
InventoryComponentSet(	temperate,	109,	0	);	# Human High Output Heavy Engine
InventoryComponentSet(	temperate,	110,	3	);	# Human Heavy Agility Engine
InventoryComponentSet(	temperate,	111,	0	);	# Human Standard Assault Engine
InventoryComponentSet(	temperate,	112,	0	);	# Human Improved Assault Engine
InventoryComponentSet(	temperate,	113,	1	);	# Human heavy turbine engine
InventoryComponentSet(	temperate,	114,	1	);	# High Output Turbine (HOT)
InventoryComponentSet(	temperate,	115,	0	);	# Human super heavy engine
					
#Internal Components					
InventoryComponentSet(	temperate,	800,	1	);	# Human Basic Computer
InventoryComponentSet(	temperate,	801,	3	);	# Human Improved Computer
InventoryComponentSet(	temperate,	802,	1	);	# Human Advanced Computer
InventoryComponentSet(	temperate,	805,	0	);	# Cybrid Basic Systems Control
InventoryComponentSet(	temperate,	806,	0	);	# Cybrid Enhanced Systems Control
InventoryComponentSet(	temperate,	807,	0	);	# Cybrid Advanced Systems Control
InventoryComponentSet(	temperate,	810,	2	);	# Guardian ECM
InventoryComponentSet(	temperate,	811,	1	);	# Doppleganger ECM
InventoryComponentSet(	temperate,	812,	0	);	# Cybrid Alpha ECM
InventoryComponentSet(	temperate,	813,	0	);	# Cybrid Beta ECM
InventoryComponentSet(	temperate,	820,	2	);	# Thermal Diffuser
InventoryComponentSet(	temperate,	825,	0	);	# Flares
InventoryComponentSet(	temperate,	830,	0	);	# Chameleon
InventoryComponentSet(	temperate,	831,	0	);	# Cuttlefish cloak
InventoryComponentSet(	temperate,	840,	1	);	# Shield Modulator
InventoryComponentSet(	temperate,	845,	2	);	# Shield Capacitor
InventoryComponentSet(	temperate,	850,	1	);	# Shield Amplifier (increases shield constant)
InventoryComponentSet(	temperate,	860,	1	);	# Laser Targeting Module
InventoryComponentSet(	temperate,	865,	3	);	# Extra Battery
InventoryComponentSet(	temperate,	870,	1	);	# Reactor Capacitor
InventoryComponentSet(	temperate,	875,	0	);	# Field Stabilizer
InventoryComponentSet(	temperate,	880,	0	);	# Rocket Booster
InventoryComponentSet(	temperate,	885,	1	);	# Turbine Boost
InventoryComponentSet(	temperate,	890,	0	);	# NanoRepair
InventoryComponentSet(	temperate,	900,	4	);	# Angel Life Support
InventoryComponentSet(	temperate,	910,	0	);	# Agrav Generator
InventoryComponentSet(	temperate,	912,	1	);	# Electrohull
InventoryComponentSet(	temperate,	914,	0	);	# UAP
					
#Armor					
InventoryComponentSet(	temperate,	926,	4	);	#Carbon Fiber (CARLAM)
InventoryComponentSet(	temperate,	927,	2	);	#Quad Bonded Metaplas (QBM)
InventoryComponentSet(	temperate,	928,	2	);	#DURAC (Depleteted Uranium)
InventoryComponentSet(	temperate,	929,	2	);	#Ceramic
InventoryComponentSet(	temperate,	930,	1	);	#Crystaluminum
InventoryComponentSet(	temperate,	931,	0	);	#Quicksilver

#Pilots
InventoryPilotSet(	temperate,	1,	true);	# Hattras-Smith, Imperial
InventoryPilotSet(	temperate,	2,	false);	# Antha Destel, Rebel
InventoryPilotSet(	temperate,	3,	true);	# Bestin Strader, Rebel
InventoryPilotSet(	temperate,	4,	true);	# Dozer, Imperial
InventoryPilotSet(	temperate,	5,	true);	# Galat Devans, Rebel
InventoryPilotSet(	temperate,	6,	false);	# Hangman, Imperial
InventoryPilotSet(	temperate,	7,	false);	# Boom-boom, Imperial
InventoryPilotSet(	temperate,	8,	false);	# Valensa, Imperial
InventoryPilotSet(	temperate,	9,	false);	# <Da Bomb>, Cybrid
InventoryPilotSet(	temperate,	10,	false);	# Riana, Rebel
InventoryPilotSet(	temperate,	11,	false);	# <Over-Redaction>, Cybrid
InventoryPilotSet(	temperate,	12,	true);	# Fors Lost, Imperial
InventoryPilotSet(	temperate,	13,	true);	# Generic
InventoryPilotSet(	temperate,	14,	false);	# Generic
InventoryPilotSet(	temperate,	15,	false);	# Generic