////////////Alliance Mission 11///////////////////////////////////
//Objectives:	1)Defend base		 			//
//////////////////////////////////////////////////////////////////
$missionName = "ab5";
$WarnDistance=8500;

exec("PPcampaignStdLib.cs");

MissionBriefInfo missionBriefInfo
{
   campaign             = "Fourth Earthsiege";
   title                = "Roles Reversed";
   planet               = *IDSTR_PLANET_TEMPERATE;
   location             = "Alliance Headquarters";
   dateOnMissionEnd     = 28336055;
   shortDesc            = "Run a patrol to investigate reports of cybrids.";
   longDescRichText     = *IDSTR_AB5_BRF;
   media                = "ab5_brief.bmp";
   successDescRichText  = *IDSTR_AB5_DBRF;
   failDescRichText     = "Mission failed. The base can no longer support the Alliance campaign.";
   nextMission          = "ab6";
   soundVol             = "ab5.vol";
   successWavFile       = "";
   endCinematicRec	= "cin_ab2.rec";
};

MissionBriefObjective missionObjective1
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Follow Nav Delta markers and eliminate any Cybrid scouts encountered.";
   longTxt              = "Ensure that there are no enemies west of the base. Other patrols will take care of the "
				@"other three sectors.";
   bmpName              = "ab5_obj1.bmp";
};

MissionBriefObjective missionObjective2
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_IGNORE;
   shortTxt             = "Defend the base.";
   longTxt              = "";
   bmpName              = "";
};

MissionBriefObjective missionObjective3
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_IGNORE;
   shortTxt             = "Icehawk must live.";
   longTxt              = "";
   bmpName              = "";
};

MissionBriefObjective missionObjective4
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_IGNORE;
   shortTxt             = "Intercept the hub.";
   longTxt              = "";
   bmpName              = "";
};

MissionBriefObjective missionObjective5
{
   isPrimary            = false;
   status               = *IDSTR_OBJ_IGNORE;
   shortTxt             = "Destroy enemy command center.";
   longTxt              = "";
   bmpName              = "";
};

MissionBriefObjective missionObjective6
{
   isPrimary            = false;
   status               = *IDSTR_OBJ_IGNORE;
   shortTxt             = "Destroy all enemies.";
   longTxt              = "";
   bmpName              = "";
};

Pilot divert
{
   id = 32;
   
   //name = "<<Diverter>";
   skill = 0.2;
   accuracy = 0.2;
   aggressiveness = 0.0;
   activateDist = 1000.0;
   deactivateBuff = 500.0;
   targetFreq = 2.0;
   trackFreq = 0.3;
   fireFreq = 0.2;
   LOSFreq = 0.1;
   orderFreq = 1.0;
};

Pilot standard
{
   id = 33;
   
   //name = "<<Hunter>";
   skill = 0.4;
   accuracy = 0.7;
   aggressiveness = 0.5;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 0.5;
   fireFreq = 0.5;
   LOSFreq = 0.5;
   orderFreq = 1.0;
};

Pilot annihilator
{
   id = 34;
   
   //name = "<<Destroyer>";
   skill = 0.8;
   accuracy = 0.8;
   aggressiveness = 1.0;
   activateDist = 700.0;
   deactivateBuff = 100.0;
   targetFreq = 1.0;
   trackFreq = 0.5;
   fireFreq = 1.0;
   LOSFreq = 1.0;
   orderFreq = 1.0;
};

Pilot Caanon
{
   id = 35;
   
   name = "Icehawk";
   skill = 1.0;
   accuracy = 1.0;
   aggressiveness = 2.0;
   activateDist = 700.0;
   deactivateBuff = 200.0;
   targetFreq = 0.7;
   trackFreq = 0.4;
   fireFreq = 0.1;
   LOSFreq = 0.4;
   orderFreq = 2.0;
};

//Just so there are some sort of transport names
Pilot ds01
{
   id = 36;
   
   name = "Dropship One";
   skill = 1.0;
   accuracy = 0.0;
   aggressiveness = 0.0;
   activateDist = 1.0;
   deactivateBuff = 1.0;
   targetFreq = 30.0;
   trackFreq = 0.1;
   fireFreq = 30.0;
   LOSFreq = 0.1;
   orderFreq = 0.2;
};

Pilot ds02
{
   id = 37;
   
   name = "Dropship Two";
   skill = 1.0;
   accuracy = 0.0;
   aggressiveness = 0.0;
   activateDist = 1.0;
   deactivateBuff = 1.0;
   targetFreq = 30.0;
   trackFreq = 0.2;
   fireFreq = 30.0;
   LOSFreq = 0.1;
   orderFreq = 1.0;
};

Pilot ds03
{
   id = 38;
   
   name = "Dropship Three";
   skill = 1.0;
   accuracy = 0.0;
   aggressiveness = 0.0;
   activateDist = 1.0;
   deactivateBuff = 1.0;
   targetFreq = 30.0;
   trackFreq = 0.2;
   fireFreq = 30.0;
   LOSFreq = 0.1;
   orderFreq = 1.0;
};

Pilot ds04
{
   id = 39;
   
   name = "Dropship Four";
   skill = 1.0;
   accuracy = 0.0;
   aggressiveness = 0.0;
   activateDist = 1.0;
   deactivateBuff = 1.0;
   targetFreq = 30.0;
   trackFreq = 0.2;
   fireFreq = 30.0;
   LOSFreq = 0.1;
   orderFreq = 1.0;
};

//Patrol Pilots... ouch
Pilot alphaL
{
   id = 40;
   
   name = "Alpha Leader";
   skill = 0.6;
   accuracy = 0.5;
   aggressiveness = 0.5;
   activateDist = 500.0;
   deactivateBuff = 300.0;
   targetFreq = 1.0;
   trackFreq = 0.5;
   fireFreq = 1.0;
   LOSFreq = 1.0;
   orderFreq = 1.0;
};

Pilot alpha1
{
   id = 41;
   
   name = "Alpha One";
   skill = 0.3;
   accuracy = 0.8;
   aggressiveness = 1.0;
   activateDist = 500.0;
   deactivateBuff = 700.0;
   targetFreq = 1.0;
   trackFreq = 0.5;
   fireFreq = 0.5;
   LOSFreq = 1.0;
   orderFreq = 1.0;
};

Pilot alpha2
{
   id = 42;
   
   name = "Alpha Two";
   skill = 0.4;
   accuracy = 0.4;
   aggressiveness = 0.2;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 1.0;
   fireFreq = 0.2;
   LOSFreq = 2.0;
   orderFreq = 1.0;
};

Pilot bravoL
{
   id = 43;
   
   name = "Bravo Leader";
   skill = 0.5;
   accuracy = 0.5;
   aggressiveness = 0.5;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 1.0;
   fireFreq = 0.2;
   LOSFreq = 2.0;
   orderFreq = 1.0;
};

Pilot bravo1
{
   id = 44;
   
   name = "Bravo One";
   skill = 0.1;
   accuracy = 0.1;
   aggressiveness = 1.0;
   activateDist = 800.0;
   deactivateBuff = 700.0;
   targetFreq = 2.0;
   trackFreq = 1.0;
   fireFreq = 0.2;
   LOSFreq = 2.0;
   orderFreq = 1.0;
};

Pilot bravo2
{
   id = 45;
   
   name = "Bravo Two";
   skill = 0.1;
   accuracy = 0.1;
   aggressiveness = 0.0;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 1.0;
   fireFreq = 1.0;
   LOSFreq = 2.0;
   orderFreq = 1.0;
};

Pilot charlieL
{
   id = 46;
   
   name = "Charlie Leader";
   skill = 0.8;
   accuracy = 1.0;
   aggressiveness = 0.8;
   activateDist = 1200.0;
   deactivateBuff = 300.0;
   targetFreq = 2.0;
   trackFreq = 1.0;
   fireFreq = 1.0;
   LOSFreq = 2.0;
   orderFreq = 1.0;
};

Pilot charlie1
{
   id = 47;
   
   name = "Charlie One";
   skill = 0.6;
   accuracy = 0.8;
   aggressiveness = 1.0;
   activateDist = 900.0;
   deactivateBuff = 300.0;
   targetFreq = 2.0;
   trackFreq = 0.1;
   fireFreq = 2.0;
   LOSFreq = 5.0;
   orderFreq = 2.0;
};

Pilot charlie2
{
   id = 48;
   
   name = "Charlie Two";
   skill = 0.8;
   accuracy = 0.6;
   aggressiveness = 0.0;
   activateDist = 500.0;
   deactivateBuff = 150.0;
   targetFreq = 0.5;
   trackFreq = 2.0;
   fireFreq = 0.5;
   LOSFreq = 0.5;
   orderFreq = 0.5;
};
//The brave warriors of the Alliance
Pilot thunderL
{
   id = 49;
   
   name = "Thunder One";
   skill = 0.8;
   accuracy = 1.0;
   aggressiveness = 1.0;
   activateDist = 700.0;
   deactivateBuff = 500.0;
   targetFreq = 1.0;
   trackFreq = 1.0;
   fireFreq = 1.0;
   LOSFreq = 2.0;
   orderFreq = 0.5;
};

Pilot thunder1
{
   id = 50;
   
   name = "Thunder Two";
   skill = 0.6;
   accuracy = 0.7;
   aggressiveness = 1.0;
   activateDist = 1000.0;
   deactivateBuff = 500.0;
   targetFreq = 1.0;
   trackFreq = 1.0;
   fireFreq = 0.5;
   LOSFreq = 2.0;
   orderFreq = 1.0;
};

Pilot thunder2
{
   id = 51;
   
   name = "Thunder Three";
   skill = 0.6;
   accuracy = 0.4;
   aggressiveness = 0.0;
   activateDist = 700.0;
   deactivateBuff = 500.0;
   targetFreq = 2.0;
   trackFreq = 1.0;
   fireFreq = 1.0;
   LOSFreq = 1.0;
   orderFreq = 0.5;
};

Pilot thunder3
{
   id = 52;
   
   name = "Thunder Four";
   skill = 0.4;
   accuracy = 0.8;
   aggressiveness = 0.9;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 1.0;
   fireFreq = 1.0;
   LOSFreq = 2.0;
   orderFreq = 1.0;
};

Pilot tigerL
{
   id = 53;
   
   name = "Tiger Leader";
   skill = 0.9;
   accuracy = 0.8;
   aggressiveness = 0.6;
   activateDist = 600.0;
   deactivateBuff = 300.0;
   targetFreq = 1.0;
   trackFreq = 1.0;
   fireFreq = 1.0;
   LOSFreq = 1.0;
   orderFreq = 0.5;
};

Pilot tiger1
{
   id = 54;
   
   name = "Tiger One";
   skill = 0.5;
   accuracy = 1.0;
   aggressiveness = 1.0;
   activateDist = 400.0;
   deactivateBuff = 150.0;
   targetFreq = 3.0;
   trackFreq = 1.0;
   fireFreq = 0.5;
   LOSFreq = 1.0;
   orderFreq = 0.5;
};

Pilot tiger2
{
   id = 55;
   
   name = "Tiger Two";
   skill = 0.6;
   accuracy = 0.6;
   aggressiveness = 0.7;
   activateDist = 600.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 1.0;
   fireFreq = 1.5;
   LOSFreq = 1.0;
   orderFreq = 1.0;
};

Pilot tiger3
{
   id = 31;
   
   name = "Tiger Three";
   skill = 0.5;
   accuracy = 0.7;
   aggressiveness = 0.0;
   activateDist = 700.0;
   deactivateBuff = 300.0;
   targetFreq = 1.0;
   trackFreq = 1.0;
   fireFreq = 3.0;
   LOSFreq = 3.0;
   orderFreq = 1.0;
};

$server::HudMapViewOffsetX= -4850;	//Centered on your patrol
$server::HudMapViewOffsetY= 3750;

function player::onAdd(%who)
{
	$THEPLAYER=%who;
}

function vehicle::onAdd(%what)
{
	if(playerManager::vehicleIdToPlayerNum(%what)==$THEPLAYER)
	{
		$Player=%what;
		$Name=getHUDName($Player);
	}
}

function onMissionStart()
{
	flushConsoleScheduler();	//To prevent self-scheduling functions from ghosting over

	$Nexus= getObjectId("MissionGroup/base/Nexus");
	$LongPatrol= getObjectId("MissionGroup/base/HUMAN/longPatrol");
	$Barracks= getObjectId("MissionGroup/base/HUMAN/living");
	$Power= getObjectId("MissionGroup/base/Power Plants/powerBig");
	$BasePath2= getObjectId("MissionGroup/Paths/BasePatrol");

	$HQ= $Nexus;	//Required for tactical updates

	$Ambush= false;
	$Retreat=false;
	$BarracksHit= false;
	$Barracks.attacked=false;
	$LongPatrol.attacked=false;
	$Nexus.attacked=false;
	$Power.attacked=false;

	schedule("initVehicles();",1);
	patrolMusic();
	schedule("initNav();",1);	//Must wait for player to actually appear on the map
	schedule("startMission();",5);

	debugLog("mission \"ab5\" starting");

//	schedule("orderTigerToPost();", 550);	//Wont work otherwise
}

function initVehicles()
{
	$AlphaPatrol= getObjectId("MissionGroup/Alliance/Alpha");
	$BravoPatrol= getObjectId("MissionGroup/Alliance/Bravo");
	$CharliePatrol= getObjectId("MissionGroup/Alliance/Charlie");
	$AlphaLeader= getObjectId("MissionGroup/Alliance/Alpha/leader");
	$BravoLeader= getObjectId("MissionGroup/Alliance/Bravo/leader");
	$CharlieLeader= getObjectId("MissionGroup/Alliance/Charlie/leader");

	$Caanon= getObjectId("MissionGroup/Alliance/Caanon");

	$Thunder= getObjectId("MissionGroup/Alliance/Rebel");
	$ThunderOne= getObjectId("MissionGroup/Alliance/Rebel/leader");
	$Tiger= getObjectId("MissionGroup/Alliance/Imperial");
	$TigerOne= getObjectId("MissionGroup/Alliance/Imperial/leader");

	$Repair= getObjectId("MissionGroup/Support");
	$Repair1= getObjectId("MissionGroup/Support/truck1");
	$Repair2= getObjectId("MissionGroup/Support/truck2");
	$Repair3= getObjectId("MissionGroup/Support/truck3");

	$Dropship1= getObjectId("MissionGroup/Cybrids/H320/Q3200/Delta");
	$Nexus1= getObjectId("MissionGroup/Cybrids/H320/Q3200/Alpha2");
	$Q3201Leader= getObjectId("MissionGroup/Cybrids/H320/Q3201/Alpha2");
	$Q3202Leader= getObjectId("MissionGroup/Cybrids/H320/Q3202/Alpha2");
	$Q3203Leader= getObjectId("MissionGroup/Cybrids/H320/Q3203/Alpha2");
	$Q3210Leader= getObjectId("MissionGroup/Cybrids/H321/Q3210/Alpha2");
	$Q3211Leader= getObjectId("MissionGroup/Cybrids/H321/Q3211/Alpha2");
	$Q3212Leader= getObjectId("MissionGroup/Cybrids/H321/Q3212/Alpha2");
	$Q3213Leader= getObjectId("MissionGroup/Cybrids/H321/Q3213/Alpha2");
	$Q3220Leader= getObjectId("MissionGroup/Cybrids/H322/Q3220/Alpha2");
	$Q3221Leader= getObjectId("MissionGroup/Cybrids/H322/Q3221/Alpha2");
	$Q3222Leader= getObjectId("MissionGroup/Cybrids/H322/Q3222/Alpha2");
	$Q3223Leader= getObjectId("MissionGroup/Cybrids/H322/Q3223/Alpha2");
	$Q3230Leader= getObjectId("MissionGroup/Cybrids/H323/Q3230/Alpha2");
	$Q3231Leader= getObjectId("MissionGroup/Cybrids/H323/Q3231/Alpha2");
	$Q3232Leader= getObjectId("MissionGroup/Cybrids/H323/Q3232/Alpha2");
	$Q3233Leader= getObjectId("MissionGroup/Cybrids/H323/Q3233/Alpha2");
	$Q3201= getObjectId("MissionGroup/Cybrids/H320/Q3201");
	$Q3202= getObjectId("MissionGroup/Cybrids/H320/Q3202");
	$Q3203= getObjectId("MissionGroup/Cybrids/H320/Q3203");
	$Q3210= getObjectId("MissionGroup/Cybrids/H321/Q3210");
	$Q3211= getObjectId("MissionGroup/Cybrids/H321/Q3211");
	$Q3212= getObjectId("MissionGroup/Cybrids/H321/Q3212");
	$Q3213= getObjectId("MissionGroup/Cybrids/H321/Q3213");
	$Q3220= getObjectId("MissionGroup/Cybrids/H322/Q3220");
	$Q3221= getObjectId("MissionGroup/Cybrids/H322/Q3221");
	$Q3222= getObjectId("MissionGroup/Cybrids/H322/Q3222");
	$Q3223= getObjectId("MissionGroup/Cybrids/H322/Q3223");
	$Q3230= getObjectId("MissionGroup/Cybrids/H323/Q3230");
	$Q3231= getObjectId("MissionGroup/Cybrids/H323/Q3231");
	$Q3232= getObjectId("MissionGroup/Cybrids/H323/Q3232");
	$Q3233= getObjectId("MissionGroup/Cybrids/H323/Q3233");

	playAnimSequence(getObjectId("MissionGroup/Cybrids/H320/Q3200/Beta"),2, true);
	playAnimSequence(getObjectId("MissionGroup/Cybrids/H320/Q3200/Gamma"),2, true);

	$BravoLeader.patrolled=false;
	$CharlieLeader.patrolled=false;
	$Dropship1.loaded= true;

	order($AlphaLeader, makeLeader, true);
	order($BravoLeader, makeLeader, true);
	order($CharlieLeader, makeLeader, true);
	order($AlphaPatrol, formation, line);
	order($BravoPatrol, formation, delta);
	order($CharliePatrol, formation, delta);

	order($ThunderOne, makeLeader, true);
	order($TigerOne, makeLeader, true);

	order($Q3201Leader, makeLeader, true);
	order($Q3201Leader, guard, $Nexus1);
	order($Q3202Leader, makeLeader, true);
	order($Q3203Leader, makeLeader, true);
//	order($Q3210Leader, makeLeader, true);
//	order($Q3211Leader, makeLeader, true);
//	order($Q3212Leader, makeLeader, true);
//	order($Q3213Leader, makeLeader, true);
	order($Q3220Leader, makeLeader, true);
	order($Q3221Leader, makeLeader, true);
	order($Q3222Leader, makeLeader, true);
	order($Q3223Leader, makeLeader, true);
	order($Q3230Leader, makeLeader, true);
	order($Q3231Leader, makeLeader, true);
	order($Q3232Leader, makeLeader, true);
	order($Q3233Leader, makeLeader, true);

	order($Caanon, shutDown, true);
	order($Thunder, shutDown, true);
	order($Tiger, shutDown, true);

	order($Q3201, formation, protect);
	order($Q3202, formation, delta);
	order($Q3203, formation, delta);
//	order($Q3210, formation, delta);
//	order($Q3211, formation, delta);
//	order($Q3212, formation, delta);
//	order($Q3213, formation, delta);

	setHercOwner("MissionGroup/Cybrids","MissionGroup/Neutral");	//Cybrids ignore these
	setHercOwner("MissionGroup/Cybrids",$Repair);

	order("MissionGroup/Neutral", shutDown, true);
}

function initNav()
{
	$NavBase= getObjectId("MissionGroup/nav/navBase");
	$NavDelta1= getObjectId("MissionGroup/nav/navFirst");
	$NavDelta2= getObjectId("MissionGroup/nav/navSecond");
	$NavDelta3= getObjectId("MissionGroup/nav/navThird");
	$NavAlert= getObjectId("MissionGroup/nav/navAmbush");
	$NavConverge= getObjectId("MissionGroup/nav/navConverge");
	$NavNexus= getObjectId("MissionGroup/nav/navNexus");

	$Nav001= $NavBase;
	$Nav002= $NavAmbush;
	$Nav003= $NavConverge;
	$Nav004= getObjectId("MissionGroup/Cybrids/nav/nav004");
	$Nav005= getObjectId("MissionGroup/Cybrids/nav/nav005");
	$Nav006= getObjectId("MissionGroup/Cybrids/nav/nav006");

	setNavMarker($NavBase, true, 0);
	setNavMarker($NavDelta1, true, -1);
	setNavMarker($NavDelta2, false);
	setNavMarker($NavDelta3, false);
	setNavMarker($NavAlert, false);
	setNavMarker($NavConverge, false);
	setNavMarker($NavNexus, false);
}

function initDistanceChecks()
{
	checkBoundary("leave", $Player, $Nexus, $Warndistance, "warn");
	checkBoundary("leave", $Player, $Nexus, 9000, "leave");
	checkBoundary("enter", $Player, $NavDelta1, 100, "atFirstNav");
}

function startMission()
{
	initDistanceChecks();
	say(0,$Nexus, *IDSTR_AB5_TCM0);
	order($AlphaLeader, speed, slow);
	order($BravoLeader, speed, high);
	order($CharlieLeader, speed, high);
	order($AlphaLeader, guard, "MissionGroup/Paths/Alpha");
	order($BravoLeader, guard, "MissionGroup/Paths/Bravo/nav1");
	order($CharlieLeader, guard, "MissionGroup/Paths/Charlie/nav1");
	schedule("order($BravoLeader, guard, \"MissionGroup/Paths/Bravo\");",150);
	schedule("order($CharlieLeader, guard, \"MissionGroup/Paths/Charlie\");",150);
}

function patrolMusic()
{
	cdAudioCycle(11,3,9);
}

function combatMusic()
{
	cdAudioCycle(7,4,13);
}
/////////////////Player Functions//////////////////////////////////////////////////////////////
function atFirstNav()
{
        if($Ambush) return;	//Doesn't matter anymore
	setNavMarker($NavDelta2, true, -1);
	setNavMarker($NavDelta1, false);
	checkBoundary("enter", $Player, $NavDelta2, 100, "atSecondNav");
}

function atSecondNav()
{
	if($Ambush) return;	//Doesn't matter anymore
	setNavMarker($NavDelta3, true, -1);
	setNavMarker($NavDelta2, false);
	checkBoundary("enter", $Player, $NavDelta3, 100, "atThirdNav");
}

function atThirdNav()
{
	if($Ambush) return;	//Doesn't matter anymore
	setNavMarker($NavBase, true, -1);
	setNavMarker($NavDelta3, false);
}
/////////////////Alliance Functions////////////////////////////////////////////////////////////
function repair::vehicle::onArrived(%who,%where)
{
	if(!isShutDown(%vehicle)) return;
	reloadObject(%vehicle, 5);
	say(0,0,"DEBUG: repair arrived!");
}

function caanon::vehicle::onAttacked(%attackee, %attacker)
{
	healObject(%attackee,300);
}

function caanon::vehicle::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(kill, %destroyee, %destroyer);
	missionObjective3.status=*IDSTR_OBJ_FAILED;
	forceToDebrief();
}

function alpha::vehicle::onArrived(%who, %where)
{
	if (%where==getObjectId("MissionGroup/Paths/Alpha/CLEAR"))
	{
		order($AlphaPatrol, formation, delta);
		order($AlphaLeader, speed, medium);
	}
	else if (%where==getObjectId("MissionGroup/Paths/Alpha/nav1"))
	{
		say(0,$AlphaLeader,*IDSTR_AB5_ALP1);
//		checkBoundary("enter", $AlphaLeader, $NavAlert,750, "ambush");
	}
}

function alpha::vehicle::onAttacked(%attackee, %attacker)
{
	if ((!$Ambush)&&(getTeam(%attacker)==*IDSTR_TEAM_RED)) ambush();
}

function alpha::vehicle::onDestroyed(%destroyee, %destroyer)
{
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
}

function bravo::vehicle::onArrived(%who, %where)
{
	if (%where==getObjectId("MissionGroup/Paths/Bravo/nav1"))
	{
		say(0,$BravoLeader,*IDSTR_AB5_BRV1);
	}
	else if (%where==getObjectId("MissionGroup/Paths/Bravo/nav2"))
		say(0,$BravoLeader,*IDSTR_AB5_BRV2);
	else if (%where==getObjectId("MissionGroup/Paths/Bravo/nav3"))
	{
		say(0,$BravoLeader,*IDSTR_AB5_BRV3);
		$BravoLeader.patrolled=true;
	}
	else if ((%where==getObjectId("MissionGroup/Paths/Bravo/finished"))&&($BravoLeader.patrolled))
		order($BravoLeader, clear);
}

function charlie::vehicle::onArrived(%who, %where)
{
	if (%where==getObjectId("MissionGroup/Paths/Charlie/nav1"))
	{
		say(0,$CharlieLeader,*IDSTR_AB5_CHA1);
//		order($CharlieLeader, guard, "MissionGroup/Paths/Charlie");
	}
	else if (%where==getObjectId("MissionGroup/Paths/Charlie/nav2"))
		say(0,$CharlieLeader,*IDSTR_AB5_CHA2);
	else if (%where==getObjectId("MissionGroup/Paths/Charlie/nav3"))
	{
		say(0,$CharlieLeader,*IDSTR_AB5_CHA3);
		$CharlieLeader.patrolled=true;
	}
	else if ((%where==getObjectId("MissionGroup/Paths/Charlie/finished"))&&($CharlieLeader.patrolled))
		order($CharlieLeader, clear);
}

function bravo::vehicle::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(kill, %destroyee, %destroyer);
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
}

function charlie::vehicle::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(kill, %destroyee, %destroyer);
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
}

function bravo::vehicle::onNewLeader(%this)
{
	$BravoLeader = %this;
	order($BravoPatrol, formation, delta);
	if (!$ambush) order($BravoLeader, guard, "MissionGroup/Paths/Bravo");
	else order($BravoLeader, guard, $NavAlert);
}

function charlie::vehicle::onNewLeader(%this)
{
	$CharlieLeader = %this;
	order($CharliePatrol, formation, delta);
	if (!$ambush) order($CharlieLeader, guard, "MissionGroup/Paths/Charlie");
	else order($CharlieLeader, guard, $NavAlert);
}

function dropshipsRetreat()
{
	order("MissionGroup/Alliance/Transports/Conveyor", guard, "MissionGroup/Paths/alliDS/Conveyor");
	order("MissionGroup/Alliance/Transports/dropship1", guard, "MissionGroup/Paths/alliDS/one");
	order("MissionGroup/Alliance/Transports/dropship2", guard, "MissionGroup/Paths/alliDS/two");
	order("MissionGroup/Alliance/Transports/dropship3", guard, "MissionGroup/Paths/alliDS/three");
	order("MissionGroup/Alliance/Transports/dropship4", guard, "MissionGroup/Paths/alliDS/four");
}

function awakeGarrison()
{
	order($Caanon, shutDown, false);
	order($Thunder, shutDown, false);
	order($Tiger, shutDown, false);

	order($Thunder, formation, delta);
	order($Tiger, formation, delta);

//	focusServer();
	echo($BasePath2);
	order($Caanon, guard, $BasePath2);
	echo($BasePath2);
	order($ThunderOne, guard, $BasePath2);
//	orderTigerToPost();
}

function orderTigerToPost()
{
	debugLog("Running Order");
//	focusServer();
	echo($BasePath2); echo($TigerOne); 
	echo(getHUDName($TigerOne));
	order($TigerOne, guard, $BasePath2);
	debugLog("order run");
}
/////////////////Base Functions////////////////////////////////////////////////////////////////
function nexus::structure::onAttacked(%attackee, %attacker)
{
	if (%attackee.attacked) return;
	%attackee.attacked=true;
	say(0,$Nexus,*IDSTR_AB5_TCM1);
	schedule(%attackee@".attacked= false;",30);
}

function barracks::structure::onAttacked(%attackee, %attacker)
{
	if (%attackee.attacked) return;
	%attackee.attacked=true;
	if (!$BarracksHit)
		schedule("checkBarracks();",300);
	$BarracksHit=true;
	say(0,$Nexus,*IDSTR_AB5_TCM2);
	schedule(%attackee@".attacked= false;",30);
}

function checkBarracks()
{
	say(0,$Nexus,*IDSTR_AB5_TCM3);
}

function long::structure::onAttacked(%attackee, %attacker)
{
	if (%attackee.attacked) return;
	%attackee.attacked=true;
	say(0,$Nexus,*IDSTR_AB5_TCM4);
	schedule(%attackee@".attacked= false;",30);
}

function power::structure::onAttacked(%attackee, %attacker)
{
	if (%attackee.attacked) return;
	%attackee.attacked=true;
	say(0,$Nexus,*IDSTR_AB5_TCM5);
	schedule(%attackee@".attacked= false;",30);
}

function barracks::structure::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(destroy, %destroyee, %destroyer);
	say(0,$Nexus,*IDSTR_AB5_TCM6);
	missionObjective2.status = *IDSTR_OBJ_FAILED;
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
	schedule("forceToDebrief();",5);
}

function nexus::structure::onDestroyed(%destroyee, %destroyer)
{
	say(0,0,"gen_static01.wav");
	killChannel(%destroyee);
	missionObjective2.status = *IDSTR_OBJ_FAILED;
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
	schedule("forceToDebrief();",5);
}

function long::structure::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(destroy, %destroyee, %destroyer);
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
	killChannel(%destroyee);
}

function power::structure::onDestroyed(%destroyee, %destroyer)
{
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
	$HQ=0;
	missionObjective2.status= *IDSTR_OBJ_FAILED;
}
/////////////////Cybrid Functions//////////////////////////////////////////////////////////////
function cybrids::vehicle::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(kill, %destroyee, %destroyer);
	if (getGroup(%destroyer)==getObjectID("PlayerSquad"))
		vehicle::salvage(%destroyee);
}

function east::vehicle::onDestroyed(%destroyee, %destroyer)
{
	debugLog("scriptclass east");
	tacticalUpdate(kill, %destroyee, %destroyer);
	if (getGroup(%destroyer)==getObjectID("PlayerSquad"))
		vehicle::salvage(%destroyee);
	if (isGroupDestroyed("MissionGroup/Cybrids/H322"))
	{
		missionObjective4.status= *IDSTR_OBJ_COMPLETED;		//You completed your assignment
                say(0,0,"gen_oc01.wav");
		nexusLocated();
	}
	if ((isGroupDestroyed("MissionGroup/Cybrids/H322"))&&(isGroupDestroyed("MissionGroup/Cybrids/H323")))
	{
		schedule("cybridRetreat();",30);
	}
}

//function east::vehicle::onNewLeader(%who)
//{
//	if (missionObjective2.status==*IDSTR_OBJ_IGNORE) return;
//	%group= getGroup(%who);
//	if(%group==$Q3220) {%who=$Q3220Leader; order($Q3220, formation, delta); issueQuadOrders($Q3220Leader);}
//	if(%group==$Q3221) {%who=$Q3221Leader; order($Q3221, formation, delta); issueQuadOrders($Q3221Leader);}
//	if(%group==$Q3222) {%who=$Q3222Leader; order($Q3222, formation, delta); issueQuadOrders($Q3222Leader);}
//	if(%group==$Q3223) {%who=$Q3223Leader; order($Q3223, formation, delta); issueQuadOrders($Q3223Leader);}
//}

function onArrived003(%who)
{
	if (%who==$Q3220Leader)
	{
		order($Q3220, formation, delta);
		issueQuadOrders($Q3220Leader);
	}
	if (%who==$Q3221Leader)
	{
		order($Q3221, formation, delta);
		issueQuadOrders($Q3221Leader);
	}
	if (%who==$Q3222Leader)
	{
		order($Q3222, formation, delta);
		issueQuadOrders($Q3222Leader);
	}
	if (%who==$Q3223Leader)
	{
		order($Q3223, formation, delta);
		issueQuadOrders($Q3223Leader);
	}
}

function west::vehicle::onDestroyed(%destroyee, %destroyer)
{
	debugLog("scriptclass west");
	tacticalUpdate(kill, %destroyee, %destroyer);
	if (getGroup(%destroyer)==getObjectID("PlayerSquad"))
		vehicle::salvage(%destroyee);
	if ((isGroupDestroyed("MissionGroup/Cybrids/H322"))&&(isGroupDestroyed("MissionGroup/Cybrids/H323")))
	{
		schedule("cybridRetreat();",30);
	}
}

//function west::vehicle::onNewLeader(%who)
//{
//	if (missionObjective2.status==*IDSTR_OBJ_IGNORE) return;
//	%group= getGroup(%who);
//	if(%group==$Q3230) {%who=$Q3230Leader; order($Q3230, formation, delta); issueQuadOrders($Q3230Leader);}
//	if(%group==$Q3231) {%who=$Q3231Leader; order($Q3231, formation, delta); issueQuadOrders($Q3231Leader);}
//	if(%group==$Q3232) {%who=$Q3232Leader; order($Q3232, formation, delta); issueQuadOrders($Q3232Leader);}
//	if(%group==$Q3233) {%who=$Q3233Leader; order($Q3233, formation, delta); issueQuadOrders($Q3233Leader);}
//}

function onArrived005(%who)
{
	if (%who==$Q3230Leader)
	{
		order($Q3230, formation, delta);
		issueQuadOrders($Q3230Leader);
	}
	if (%who==$Q3231Leader)
	{
		order($Q3231, formation, delta);
		issueQuadOrders($Q3231Leader);
	}
	if (%who==$Q3232Leader)
	{
		order($Q3232, formation, delta);
		issueQuadOrders($Q3232Leader);
	}
	if (%who==$Q3233Leader)
	{
		order($Q3233, formation, delta);
		issueQuadOrders($Q3233Leader);
	}
}

function dropship::vehicle::onAttacked(%attackee, %attacker)
{
//	if (%attackee.loaded) healObject(%attackee,10000);
}

function ambush::vehicle::onDestroyed(%destroyee, %destroyer)
{
	debugLog("scriptclass ambush");
	if (getGroup(%destroyer)!=getObjectId("MissionGroup/Alliance/Alpha"))
		tacticalUpdate(kill, %destroyee, %destroyer);
	if (isGroupDestroyed("MissionGroup/Cybrids/H321"))
		beginBigAttack();
	if (getGroup(%destroyer)==getObjectID("PlayerSquad"))
		vehicle::salvage(%destroyee);
	debugLog(getHUDName(%destroyer)@" killed "@ getHUDName(%destroyee) @" of Quad "@getObjectName(getGroup(%destroyee)));
}

function ambush::vehicle::onNewLeader(%who)
{
	%vehicleName= getVehicleName(%who);
	say(0,0,"<F5>Ambush-class vehicle leader destroyed. The new leader is a "@%vehicleName@" in the same quad.");
	debugLog("Ambush-class vehicle leader destroyed. The new leader is a "@%vehicleName@" in quad "@ getObjectName(getGroup(%who)));
}

function issueQuadOrders(%leader)	//This function will give the Cybrid quads their primary attack orders.
{
	%leader.hasOrders=true;		//If uninitialized, reads false

	if($Retreat)
	{order(%leader, guard, $Nexus1); return;}

	if(%leader==$Q3220Leader)
		order(%leader, attack,	"MissionGroup/Alliance");
	if(%leader==$Q3221Leader)
		order(%leader, attack,	"MissionGroup/base/Power Plants");
	if(%leader==$Q3222Leader)
		order(%leader, attack,	$LongPatrol);
	if(%leader==$Q3223Leader)
		order(%leader, attack,	"MissionGroup/Base/Turrets");

	if(%leader==$Q3230Leader)
		order(%leader, attack,	"MissionGroup/Alliance");
	if(%leader==$Q3231Leader)
		order(%leader, attack,	$Barracks);
	if(%leader==$Q3232Leader)
		order(%leader, attack,	"MissionGroup/Base/comm");
	if(%leader==$Q3233Leader)
		order(%leader, attack,	"MissionGroup/Base/Turrets");
}

function nexus::vehicle::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(kill, %destroyee, %destroyer);
	if(%destroyee==$Nexus1)
	{
		say(0,$Nexus,*IDSTR_AB5_TCM16);
		schedule("say(0,$Nexus,*IDSTR_AB5_MTG1);",6);
	}
	if(%destroyee==$Nexus1)
	{
		missionObjective5.status=*IDSTR_OBJ_COMPLETED;
		say(0,$Nexus,*IDSTR_AB5_TCM15);
		if($Retreat)
			order("MissionGroup/Cybrids", guard, "MissionGroup/Paths/Nexus");
	}
}

function checkForCybridEntry(%who,%nav)
{
	if ((getDistance(%who,%nav)<100)&&(%nav==$Nav003))
		onArrived003(%who);
	else if ((getDistance(%who,%nav)<100)&&(%nav==$Nav005))
		onArrived005(%who);
	else schedule("checkForCybridEntry("@%who@","@%nav@");",10);
}
/////////////////Mission Functions/////////////////////////////////////////////////////////////
function ambush()
{
	if ($Ambush) return;    //Two possible run places
        $Ambush= true;
	cdAudioFadeStop();
	order("MissionGroup/Cybrids/H321", attack, $AlphaLeader);
	say(0,$AlphaLeader,*IDSTR_AB5_ALP2);
	schedule("say(0,$AlphaLeader,*IDSTR_AB5_ALP3);",3);
	schedule("damageObject($AlphaLeader,50000);",5);
	schedule("say(0,0,\"gen_static01.wav\");",5);
	schedule("say(0,$Nexus,*IDSTR_AB5_TCM7);",10);
	order($BravoLeader, clear);
	order($CharlieLeader, clear);
	schedule("order($BravoLeader, guard, $NavAlert);",12);
	schedule("order($CharlieLeader, guard, $NavAlert);",11);
	schedule("say(0,$BravoLeader,*IDSTR_AB5_BRV4);",14);
	schedule("say(0,$CharlieLeader,*IDSTR_AB5_CHA4);",14);
	checkBoundary("enter", $Player, $NavAlert, 1000, "scansArrive");
	schedule("setNavMarker($NavDelta1, false);",11);
	schedule("setNavMarker($NavDelta2, false);",11);
	schedule("setNavMarker($NavDelta3, false);",11);
	schedule("setNavMarker($NavAlert, true, -1);",11);
	setPosition($NavAlert, getPosition($AlphaLeader,x), getPosition($AlphaLeader,y), getPosition($AlphaLeader,z));
}

function beginBigAttack()
{
	setNavMarker($NavBase,true,-1);
	missionObjective1.status = *IDSTR_OBJ_COMPLETED;
	say(0,$Nexus,*IDSTR_AB5_TCM17);
	schedule("say(0,$Nexus,*IDSTR_AB5_TCM18);",10);
	schedule("say(0,0,\"new_mission_obj.wav\");",11);
	schedule("missionObjective2.status=*IDSTR_OBJ_ACTIVE;",10);
	schedule("missionObjective3.status=*IDSTR_OBJ_ACTIVE;",10);
	schedule("missionObjective6.status=*IDSTR_OBJ_ACTIVE;",10);
	schedule("say(0,$Nexus,\"new_mission_obj.wav\");",15);
	schedule("dropshipsRetreat();",45);
	schedule("order($Repair1, guard, \"MissionGroup/Alliance/Bravo\");",45);
	schedule("order($Repair2, guard, \"MissionGroup/Alliance/Charlie\");",45);
	schedule("order($Repair3, guard, \"PlayerSquad\");",45);	//This group includes the player. I checked.
	order($BravoLeader, guard, $NavBase);
	order($CharlieLeader, guard, $NavBase);
	schedule("order($BravoPatrol, shutDown, true);",200);
	schedule("order($CharliePatrol, shutDown, true);",200);
	schedule("order($BravoPatrol, shutDown, false);",300);
	schedule("order($CharliePatrol, shutDown, false);",300);
	schedule("order($BravoLeader, guard, $BasePath2);",305);
	schedule("order($CharlieLeader, guard, $BasePath2);",305);
	schedule("awakeGarrison();",53);
	schedule("say(0,$LongPatrol,*IDSTR_AB5_LONG1);",185);
	schedule("startTheDropPods();",200);
}

function scansArrive()
{
	say(0,$Nexus,*IDSTR_AB5_TCM8);
	schedule("say(0,$Nexus,*IDSTR_AB5_TCM9);",3);
	schedule("say(0,$Nexus,*IDSTR_AB5_TCM10,\"CA0_STP06.wav\");",4);
	schedule("combatMusic();",5.5);
	schedule("say(0,$Nexus,*IDSTR_AB5_TCM11);",7);
}

function startTheDropPods()
{
	playAnimSequence("MissionGroup/Base/HUMAN/orbit1",0,true);
	playAnimSequence("MissionGroup/Base/HUMAN/orbit4",0,true);
	say(0,$Nexus,*IDSTR_AB5_TCM19);		//Go east of base
	setNavMarker($NavConverge, true, -1);
	schedule("deployHub323();",100);		//West wave
	checkBoundary("enter",$Player, $NavConverge, 700, "deployHub322");		//East Wave
	schedule("say(0,$Nexus,*IDSTR_AB5_TCM20);",120);	//Details
	schedule("missionObjective4.status=*IDSTR_OBJ_ACTIVE;",125);
	schedule("say(0,$Nexus,\"new_mission_obj.wav\");",120);
}

function deployHub322()
{
	%x=getPosition($Nav003,x)-1500;
	%y=getPosition($Nav003,y)-2000;

	for(%i=0; %i<4; %i++)
	{
		schedule("dropAPod("@%x@"+randomInt(0,4000),"@%y@"+randomInt(0,4000),getObjectId(\"MissionGroup/Cybrids/H322/Q322"@%i@"/Alpha2\"));",randomInt(0,20));
		schedule("dropAPod("@%x@"+randomInt(0,4000),"@%y@"+randomInt(0,4000),getObjectId(\"MissionGroup/Cybrids/H322/Q322"@%i@"/Beta\"));",randomInt(0,20));
		schedule("dropAPod("@%x@"+randomInt(0,4000),"@%y@"+randomInt(0,4000),getObjectId(\"MissionGroup/Cybrids/H322/Q322"@%i@"/Gamma\"));",randomInt(0,20));
		schedule("dropAPod("@%x@"+randomInt(0,4000),"@%y@"+randomInt(0,4000),getObjectId(\"MissionGroup/Cybrids/H322/Q322"@%i@"/Delta\"));",randomInt(0,20));
		schedule("order($Q322"@%i@", guard, $Nav003);",30);
		schedule("checkForCybridEntry($Q322"@%i@"Leader,$Nav003);",0);
	}
	schedule("tacticalUpdate(dropPod, getPosition($Nav003,x),getPosition($Nav003,y));",10);
}

function deployHub323()
{
	%x=getPosition($Nav005,x)-2500;
	%y=getPosition($Nav005,y)-2000;

	for(%i=0; %i<4; %i++)
	{
		schedule("dropAPod("@%x@"+randomInt(0,4000),"@%y@"+randomInt(0,4000),getObjectId(\"MissionGroup/Cybrids/H323/Q323"@%i@"/Alpha2\"));",randomInt(0,20));
		schedule("dropAPod("@%x@"+randomInt(0,4000),"@%y@"+randomInt(0,4000),getObjectId(\"MissionGroup/Cybrids/H323/Q323"@%i@"/Beta\"));",randomInt(0,20));
		schedule("dropAPod("@%x@"+randomInt(0,4000),"@%y@"+randomInt(0,4000),getObjectId(\"MissionGroup/Cybrids/H323/Q323"@%i@"/Gamma\"));",randomInt(0,20));
		schedule("dropAPod("@%x@"+randomInt(0,4000),"@%y@"+randomInt(0,4000),getObjectId(\"MissionGroup/Cybrids/H323/Q323"@%i@"/Delta\"));",randomInt(0,20));
		schedule("order($Q323"@%i@", guard, $Nav005);",30);
		schedule("checkForCybridEntry($Q323"@%i@"Leader,$Nav005);",0);
	}
	schedule("tacticalUpdate(dropPod, getPosition($Nav005,x),getPosition($Nav005,y));",10);
}

function nexusLocated()
{
	//Striker One tells you to go after Nexus Epsilon-32
	say(0,$Nexus,*IDSTR_AB5_TCM12);
	schedule("setNavMarker($NavNexus,true,-1);",10);
	schedule("say(0,$Nexus,*IDSTR_AB5_TCM13);",7);
	schedule("missionObjective5.status=*IDSTR_OBJ_ACTIVE;",10);
}

function cybridRetreat()
{
	$Retreat=true;
	say(0,$Nexus,*IDSTR_AB5_TCM14);
	if(isGroupDestroyed($Nexus1))
		order("MissionGroup/Cybrids", guard, "MissionGroup/Paths/nexus");
	else
	{
		order($Nexus1, guard, "MissionGroup/Paths/nexus");
		order("MissionGroup/Cybrids", guard, $Nexus1);
	}
	order("MissionGroup/Cybrids", holdPosition, true);	//Stick to the path, but keep guns on-line
	order("MissionGroup/Alliance", attack, "MissionGroup/Cybrids");
	checkForVictory();
	checkForNexusDanger();
}

/////////////////Miscellaneous/////////////////////////////////////////////////////////////////
function structure::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(destroy, %destroyee, %destroyer);
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
}

function turret::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(destroy, %destroyee, %destroyer);
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
}

function vehicle::onDestroyed(%destroyee, %destroyer)
{
	debugLog("no scriptclass");
	tacticalUpdate(kill, %destroyee, %destroyer);
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
	if ((getGroup(%destroyer)==getObjectID("PlayerSquad"))||(getGroup(%destroyee)==getObjectID("PlayerSquad")))
		vehicle::salvage(%destroyee);
}

function checkForVictory()
{	
	if (isSafe(*IDSTR_TEAM_YELLOW, $Nexus,1500))
	{
		missionObjective2.status=*IDSTR_OBJ_COMPLETED;
		order($Tiger, guard, $BasePath2);
		order($Thunder, guard, $BasePath2);
		order($Caanon, guard, $BasePath2);
		if(!isGroupDestroyed($Caanon))
			missionObjective3.status=*IDSTR_OBJ_COMPLETED;
		if(isGroupDestroyed("MissionGroup/Cybrids"))
			missionObjective6.status=*IDSTR_OBJ_COMPLETED;
		say(0,0,"gen_oc01.wav");
		say(0,0,"mission_comp.wav");
		checkBoundary("enter", $Player, $Nexus, 1000, "doInventory");
		checkBoundary("enter", $Player, $Nexus, 1000, "forceToDebrief");
	}
	else schedule("checkForVictory();",10);
}

function doInventory()
{
	if(missionObjective5.status==*IDSTR_OBJ_COMPLETED)
	{
		inventoryWeaponAdjust(		-1, 	113,	1	);	#Magneto-Fusion Assault Cannon
		inventoryWeaponAdjust(		-1, 	128,	1	);	#SWARM Missile 6-Pack
		inventoryWeaponAdjust(		-1, 	130,	1	);	#Shrike Missile 8-Pack
		inventoryWeaponAdjust(		-1, 	129,	1	);	#Minion Missile 10-Pack
		inventoryComponentAdjust(	-1, 	110,	1	);	#Heavy Agility Engine
		inventoryComponentAdjust(	-1, 	400,	1	);	#Basic Sensor
		inventoryComponentAdjust(	-1, 	408,	1	);	#Standard Sensor
	}
	if(missionObjective6.status==*IDSTR_OBJ_COMPLETED)
	{
		inventoryVehicleAdjust(		-1, 	14,	1	);	#Kngiht's Basilisk
		inventoryWeaponAdjust(		-1, 	112,	1	);	#Quantum Gun
		inventoryWeaponAdjust(		-1, 	108,	1	);	#Heavy Blaster
		inventoryWeaponAdjust(		-1, 	119,	2	);	#Blast Cannons
		inventoryComponentAdjust(	-1, 	105,	1	);	#Medium Agility Engine
		inventoryComponentAdjust(	-1, 	411,	1	);	#Crossbow Sensor
		inventoryComponentAdjust(	-1, 	410,	1	);	#Infiltrator Sensor
	}
	//No regular reinforcements. The huge salvage is sufficient, you greedy little...!
}