////////////Alliance Mission 12///////////////////////////////////
//Objectives:	1)Defeat Cybrid Force	 			//
//		2)Protect Command Units				//
//		3)Breach Cybrid Battlements			//
//////////////////////////////////////////////////////////////////
$missionName = "ab6";
$WarnDistance=3500;

flushConsoleScheduler();	//To prevent ghosting
deleteObject("MissionGroup");

exec("PPcampaignStdLib.cs");

MissionBriefInfo missionBriefInfo
{
   campaign             = "Fourth Earthsiege";
   title                = "Convergence";
   planet               = *IDSTR_PLANET_TEMPERATE;
   location             = "Haryana Plains, Greater China";
   dateOnMissionEnd     = 28336164;
   shortDesc            = "Help destroy a cornered but superior force.";
   longDescRichText     = *IDSTR_AB6_BRF;
   media                = "ab6_brief.bmp";
   successDescRichText  = *IDSTR_AB6_DBRF@*IDSTR_FINALE;
   failDescRichText     = "Looks like the 'brids managed to get out alive. I hope we havn't lost the war today. I "
				@"don't like to point fingers, but you really could have done a better job.";
   nextMission          = "";
   soundVol             = "ab6.vol";
   successWavFile       = "";
   endCinematicRec	= "";
};

MissionBriefObjective missionObjective1
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Command personnel must live.";
   longTxt              = "You must ensure that either Icehawk, Striker One, or the Sovereign command core remain "
				@"alive, depending on where you are stationed.";
   bmpName              = "ab6_obj1.bmp";
};

MissionBriefObjective missionObjective3
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Sweep the area clean!";
   longTxt              = "The entire cybrid force must be destroyed. Keep in mind, however, that we are too weak for"
				@" a frontal attack.";
   bmpName              = "ab6_obj3.bmp";
};

MissionBriefObjective missionObjective4
{
   isPrimary            = false;
   status               = *IDSTR_OBJ_IGNORE;
   shortTxt             = "Protect the artillery group.";
   longTxt              = "";
   bmpName              = "";
};

MissionBriefObjective missionObjective5
{
   isPrimary            = false;
   status               = *IDSTR_OBJ_IGNORE;
   shortTxt             = "Destroy the cybrid artillery immediately.";
   longTxt              = "";
   bmpName              = "";
};

MissionBriefObjective missionObjective6
{
   isPrimary            = false;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Spot for artillery.";
   longTxt              = "We'll need artillery to breach the cybrid defenses. You'll be doing the spotting.";
   bmpName              = "ab6_obj6.bmp";
};

MissionBriefObjective missionObjective7
{
   isPrimary            = false;
   status               = *IDSTR_OBJ_IGNORE;
   shortTxt             = "Intercept the dropships.";
   longTxt              = "";
   bmpName              = "";
};

MissionBriefObjective missionObjective8
{
   isPrimary            = false;
   status               = *IDSTR_OBJ_IGNORE;
   shortTxt             = "Destroy the cybrid sortie.";
   longTxt              = "";
   bmpName              = "";
};

MissionBriefObjective missionObjective9
{
   isPrimary            = false;
   status               = *IDSTR_OBJ_IGNORE;
   shortTxt             = "Detect any cloaked cybrids.";
   longTxt              = "";
   bmpName              = "";
};

MissionBriefObjective missionObjective10
{
   isPrimary            = false;
   status               = *IDSTR_OBJ_IGNORE;
   shortTxt             = "Intercept cybrid reinforcements.";
   longTxt              = "";
   bmpName              = "";
};

DropPoint One
{
	name = "MissionGroup\\DropPointGroup1\\north";
	desc = "North End";
};

DropPoint Two
{
	name = "MissionGroup\\DropPointGroup1\\central";
	desc = "Center Section";
};

DropPoint Three
{
	name = "MissionGroup\\DropPointGroup1\\south";
	desc = "South End";
};

Pilot divert
{
   id = 32;
   
   skill = 0.2;
   accuracy = 0.2;
   aggressiveness = 0.0;
   activateDist = 700.0;
   deactivateBuff = 500.0;
   targetFreq = 2.0;
   trackFreq = 0.3;
   fireFreq = 0.2;
   LOSFreq = 0.1;
   orderFreq = 1.0;
};

Pilot standard
{
   id = 33;
   
   skill = 0.4;
   accuracy = 0.7;
   aggressiveness = 0.5;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 0.5;
   fireFreq = 0.5;
   LOSFreq = 0.5;
   orderFreq = 1.0;
};

Pilot annihilator
{
   id = 34;
   
   skill = 0.8;
   accuracy = 0.8;
   aggressiveness = 1.0;
   activateDist = 600.0;
   deactivateBuff = 100.0;
   targetFreq = 1.0;
   trackFreq = 0.5;
   fireFreq = 1.0;
   LOSFreq = 1.0;
   orderFreq = 1.0;
};

Pilot Caanon
{
   id = 35;
   
   name = "Icehawk";
   skill = 0.8;
   accuracy = 1.0;
   aggressiveness = 2.0;
   activateDist = 700.0;
   deactivateBuff = 200.0;
   targetFreq = 0.7;
   trackFreq = 0.4;
   fireFreq = 0.1;
   LOSFreq = 0.4;
   orderFreq = 2.0;
};

Pilot striker
{
   id = 36;
   
   name = "Striker One";
   skill = 1.0;
   accuracy = 0.5;
   aggressiveness = 0.3;
   activateDist = 900.0;
   deactivateBuff = 300.0;
   targetFreq = 2.0;
   trackFreq = 0.8;
   fireFreq = 0.2;
   LOSFreq = 0.1;
   orderFreq = 0.5;
};

Pilot sovereign1
{
   id = 37;
   
   name = "Trailblazer One";
   skill = 1.0;
   accuracy = 1.0;
   aggressiveness = 0.0;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 0.2;
   fireFreq = 10.0;
   LOSFreq = 0.1;
   orderFreq = 1.0;
};

Pilot sovereign2
{
   id = 38;
   
   name = "Trailblazer Two";
   skill = 1.0;
   accuracy = 1.0;
   aggressiveness = 0.0;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 0.2;
   fireFreq = 10.0;
   LOSFreq = 0.1;
   orderFreq = 1.0;
};

Pilot sovereign3
{
   id = 39;
   
   name = "Trailblazer Three";
   skill = 1.0;
   accuracy = 1.0;
   aggressiveness = 0.0;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 0.2;
   fireFreq = 10.0;
   LOSFreq = 0.1;
   orderFreq = 1.0;
};

Pilot tyranny
{			
	id = 40;
	name = *IDPLT_NAME_TYRR;
	skill = 0.7;
	accuracy = 0.8;
	aggressiveness = 0.5;
	activateDist = 500.0;
	deactivateBuff = 200.0;
	targetFreq = 3.0;
	trackFreq = 1.0;
	fireFreq = 1.0;
	LOSFreq = 0.1;
	orderFreq = 1.5;
};

Pilot impCommander
{			
	id = 41;
	name = "Kn. Gen. Chenliu";
	skill = 0.7;
	accuracy = 0.9;
	aggressiveness = 1.0;
	activateDist = 700.0;
	deactivateBuff = 300.0;
	targetFreq = 1.5;
	trackFreq = 1.0;
	fireFreq = 2.0;
	LOSFreq = 0.1;
	orderFreq = 1.5;
};

Pilot veh1
{
	id = 42;
	name = "Red Boar";
	skill = 0.6;
	accuracy = 0.7;
	aggressiveness = 0.8;
	activateDist = 500.0;
	deactivateBuff = 250.0;
	targetFreq = 1.0;
	trackFreq = 1.0;
	fireFreq = 1.0;
	LOSFreq = 0.1;
	orderFreq = 1.0;
};

Pilot veh2
{
	id = 43;
	name = "Firehawk";
	skill = 0.5;
	accuracy = 0.9;
	aggressiveness = 1.0;
	activateDist = 500.0;
	deactivateBuff = 100.0;
	targetFreq = 1.0;
	trackFreq = 1.0;
	fireFreq = 0.1;
	LOSFreq = 0.1;
	orderFreq = 1.0;
};

Pilot veh3
{
	id = 44;
	name = "Sgt. Delen";
	skill = 0.7;
	accuracy = 0.6;
	aggressiveness = 0.8;
	activateDist = 750.0;
	deactivateBuff = 250.0;
	targetFreq = 1.0;
	trackFreq = 1.0;
	fireFreq = 0.1;
	LOSFreq = 0.1;
	orderFreq = 1.0;
};

Pilot veh4
{
	id = 45;
	name = "Fatboy";
	skill = 0.6;
	accuracy = 0.7;
	aggressiveness = 1.0;
	activateDist = 750.0;
	deactivateBuff = 250.0;
	targetFreq = 1.0;
	trackFreq = 0.5;
	fireFreq = 0.7;
	LOSFreq = 1.5;
	orderFreq = 1.0;
};

Pilot veh5
{
	id = 46;
	name = "Eagle Eye";
	skill = 0.7;
	accuracy = 0.6;
	aggressiveness = 0.2;
	activateDist = 750.0;
	deactivateBuff = 250.0;
	targetFreq = 1.0;
	trackFreq = 1.0;
	fireFreq = 3.0;
	LOSFreq = 0.1;
	orderFreq = 1.0;
};

Pilot veh6
{
	id = 47;
	name = "Anderson";
	skill = 0.7;
	accuracy = 0.6;
	aggressiveness = 0.8;
	activateDist = 750.0;
	deactivateBuff = 250.0;
	targetFreq = 1.0;
	trackFreq = 1.0;
	fireFreq = 1.0;
	LOSFreq = 0.1;
	orderFreq = 1.0;
};

Pilot veh7
{
	id = 48;
	name = "Zappy";
	skill = 0.7;
	accuracy = 1.0;
	aggressiveness = 0.9;
	activateDist = 600.0;
	deactivateBuff = 200.0;
	targetFreq = 1.0;
	trackFreq = 1.0;
	fireFreq = 0.5;
	LOSFreq = 0.1;
	orderFreq = 0.5;
};

Pilot veh8
{
	id = 49;
	name = "Missile Boat";
	skill = 0.7;
	accuracy = 1.0;
	aggressiveness = 0.9;
	activateDist = 600.0;
	deactivateBuff = 200.0;
	targetFreq = 1.0;
	trackFreq = 1.0;
	fireFreq = 0.5;
	LOSFreq = 0.1;
	orderFreq = 0.5;
};

Pilot veh9
{
	id = 50;
	name = "Col. Fallet-Yanos";
	skill = 0.7;
	accuracy = 1.0;
	aggressiveness = 0.9;
	activateDist = 600.0;
	deactivateBuff = 200.0;
	targetFreq = 1.0;
	trackFreq = 1.0;
	fireFreq = 0.5;
	LOSFreq = 0.1;
	orderFreq = 0.5;
};

Pilot stalk
{
	id = 51;
	name = "Cloaked Goad";
	skill = 1.0;
	accuracy = 1.0;
	aggressiveness = 0.1;
	activateDist = 1.0;
	deactivateBuff = 900.0;
	targetFreq = 1.0;
	trackFreq = 1.0;
	fireFreq = 0.5;
	LOSFreq = 0.1;
	orderFreq = 0.5;
};

$server::HudMapViewOffsetX= 0;
$server::HudMapViewOffsetY= 0;

function player::onAdd(%who)
{
	$THEPLAYER=%who;
}

function vehicle::onAdd(%what)
{
	if(playerManager::vehicleIdToPlayerNum(%what)==$THEPLAYER)
	{
		$Player=%what;
		$Name=getHUDName($Player);
		checkPlayerLocation();
	}
}

function onMissionLoad()
{
	initVehicles();
	initVariables();
	schedule("startMission();",15);
	schedule("initNav();",1);
	cdAudioCycle(12,3,13,4);
}

function initVehicles()
{
	$Empire= getObjectID("MissionGroup/Imperial");
	$Alliance= getObjectID("MissionGroup/Alliance");
	$Metagens= getObjectID("MissionGroup/Metagen");
	$Cybrids= getObjectID("MissionGroup/CYBRID");

	setHostile(*IDSTR_TEAM_YELLOW, *IDSTR_TEAM_RED);	//Alliance fights Cybrids
	setHostile(*IDSTR_TEAM_PURPLE, *IDSTR_TEAM_RED, *IDSTR_TEAM_BLUE);   //Metagens fight Cybrids, blue is anitbug
	setHostile(*IDSTR_TEAM_BLUE, *IDSTR_TEAM_RED, *IDSTR_TEAM_PURPLE);   //Imps fight ALL cybrids
	//Red team hostile to everybody
	setHercOwner($Metagens, $Empire);

	//Alliance units
	$Striker= getObjectID("MissionGroup/Alliance/Striker One");
	$Icehawk= getObjectID("MissionGroup/Alliance/Caanon");
	$Sovereign1= getObjectID("MissionGroup/Alliance/Command/trail1");
	$Command= getObjectID("MissionGroup/Alliance/Command");
	$Artil1Leader= getObjectID("MissionGroup/Alliance/Artil1/Artil3");
	$Artil1= getObjectID("MissionGroup/Alliance/Artil1");
	$Artil2= getObjectID("MissionGroup/Alliance/Artil2");
	$Surveyors= getObjectID("MissionGroup/Alliance/sensors");
	$NorthLeader= getObjectID("MissionGroup/Alliance/North/Leader");
	$CenterLeader= getObjectID("MissionGroup/Alliance/center/Leader");
	$SouthLeader= getObjectID("MissionGroup/Alliance/South/Leader");
	$North= getObjectID("MissionGroup/Alliance/North");
	$Center= getObjectID("MissionGroup/Alliance/center");
	$South= getObjectID("MissionGroup/Alliance/South");

	order($Sovereign1, makeLeader, true);	//for onNewLeader()
	order($NorthLeader, makeLeader, true);
	order($North, formation, delta);
	order($CenterLeader, makeLeader, true);
	order($Center, formation, delta);
	order($SouthLeader, makeLeader, true);
	order($South, formation, delta);
	order($Artil2, holdPosition, true);

	for(%i=1; %i<=9; %i++)
	{
		order("MissionGroup/Alliance/Perimiter/veh"@%i, guard, "MissionGroup/Perimiter/alliPoint"@%i);
	}
	fakePlayersGuardPoints();

	//Metagen units
	$Tyranny= getObjectID("MissionGroup/Metagen/Tyranny");
	$metaNexus= getObjectID("MissionGroup/Metagen/Nexus");
	$MetaJammers= getObjectID("MissionGroup/Metagen/sensors");

	for(%i=1; %i<=7; %i++)
	{
		order("MissionGroup/Metagen/Perimiter/veh"@%i, guard, "MissionGroup/Perimiter/metaPoint"@%i);
	}

	//Imperial Units
	$ImpCommand= getObjectID("MissionGroup/Imperial/sovereign");
	$ImpGen= getObjectID("MissionGroup/Imperial/commander");

	for(%i=1; %i<=9; %i++)
	{
		order("MissionGroup/Imperial/TDF/veh"@%i, guard, "MissionGroup/Perimiter/impPoint"@%i);
	}

	//Cybrid units
	$Nexus1= getObjectID("MissionGroup/Cybrid/Nexus1");
	$Nexus2= getObjectID("MissionGroup/Cybrid/Nexus2");
	$Dropship1= getObjectID("MissionGroup/Cybrid/Dropships/ds1");
	$Dropship2= getObjectID("MissionGroup/Cybrid/Dropships/ds2");
	$Dropship3= getObjectID("MissionGroup/Cybrid/Dropships/ds3");
	$Dropship4= getObjectID("MissionGroup/Cybrid/Dropships/ds4");
	$RFSquad1Leader= getObjectID("MissionGroup/Cybrid/reinforce/quad1/Alpha");
	$RFSquad2Leader= getObjectID("MissionGroup/Cybrid/reinforce/quad2/Alpha");
	$RFSquad1= getObjectID("MissionGroup/Cybrid/reinforce/quad1");
	$RFSquad2= getObjectID("MissionGroup/Cybrid/reinforce/quad2");
	$RaidLeader= getObjectID("MissionGroup/Cybrid/Raid/Alpha");
	$Raid= getObjectID("MissionGroup/Cybrid/Raid");
	$cybArtilLeader= getObjectID("MissionGroup/Cybrid/artillery/artil1");
	$cybArtil= getObjectID("MissionGroup/Cybrid/artillery");
	$ThrustLeader= getObjectID("MissionGroup/Cybrid/Thrust/veh1");
	$Thrust= getObjectID("MissionGroup/Cybrid/Thrust");
	$RemainingBrids= getObjectID("MissionGroup/Cybrid/Main Force");

	order($RFSquad1Leader, makeLeader, true);
	order($RFSquad1, formation, delta);
	order($RFSquad2Leader, makeLeader, true);
	order($RFSquad2, formation, delta);
	order($RaidLeader, makeLeader, true);
	order($Raid, formation, delta);
	order($cybArtilLeader, makeLeader, true);
	order($ThrustLeader, makeLeader, true);

	clearPassengerArray($Dropship1);
	clearPassengerArray($Dropship2);
	clearPassengerArray($Dropship3);
	clearPassengerArray($Dropship4);

	setHercOwner($Alliance, $cybArtil);		//Alliance won't all head for artillery; only you will
	setHercOwner($Cybrids, $Artil1, $Artil2);	//Cybrids won't scramble at artillery
	$HQ=$Sovereign1;		//To guarantee it gets defined
}

function initVariables()
{
	$LongRangeSensors= true;	//Allies have scanning equipment with them
	$DropPoint=null;
	$DownedDropships=0;
	$ArtilleryAmbush= false;
	$ArtilleryTarget= 0;
	$MissionStarted=false;
	$StealthHunt= false;
	$SectionsDown= 0;
	$ObjectiveArray[4]=*IDSTR_OBJ_IGNORE;	//Needed for restoring objective status afterwards
	$ObjectiveArray[5]=*IDSTR_OBJ_IGNORE;	//Failed or completed secondary objectives will be set to ignore
	$ObjectiveArray[7]=*IDSTR_OBJ_IGNORE;	//again to make room for new ones.
	$ObjectiveArray[8]=*IDSTR_OBJ_IGNORE;
	$ObjectiveArray[9]=*IDSTR_OBJ_IGNORE;
	$ObjectiveArray[10]=*IDSTR_OBJ_IGNORE;
}

function initNav()
{
	$NavCybrids= getObjectID("MissionGroup/nav/navAlpha");
	$NavTracker= getObjectID("MissionGroup/nav/navDropship");
	$NavFour= getObjectID("MissionGroup/nav/navArtil");
	$NavFive= getObjectID("MissionGroup/nav/navBravo");
	$NavEight= getObjectID("MissionGroup/nav/navCharlie");
	$NavTen= getObjectID("MissionGroup/nav/navDelta");
	setNavMarker($NavTracker, false);
	setNavMarker($NavFour, false);
	setNavMarker($NavFive, false);
	setNavMarker($NavEight, false);
	setNavMarker($NavTen, false);
}

function initDistanceChecks()
{
	checkBoundary("leave", $Player, $NavCybrids, $Warndistance, "warn();");
	checkBoundary("leave", $Player, $NavCybrids, 4000, "leave();");
}

function startMission()
{
	initDistanceChecks();
	schedule("$missionStarted=true;",30);
	startObjective4();
}
/////////////////Player Functions//////////////////////////////////////////////////////////////
function checkPlayerLocation()
{
	%latitude= getPosition($Player,y);	//S= -1883, C=-856, N=-124
	if (%latitude > -500)		//North Drop Point
	{
		$DropPoint= north;
		damageObject($North,50000);
	}
	else if (%latitude < -1500)	//South Drop Point
	{
		$DropPoint= south;
		damageObject($South,50000);
	}
	else				//You must be in the middle
	{
		$DropPoint= center;
		damageObject($Center,50000);
	}
}

function fakePlayersGuardPoints()
{
	order($NorthLeader, speed, high);
	order($CenterLeader, speed, high);
	order($SouthLeader, speed, high);
	if ($DropPoint!=north) order($NorthLeader, guard, "MissionGroup\\DropPointGroup1\\north");
	if ($DropPoint!=center) order($CenterLeader, guard, "MissionGroup\\DropPointGroup1\\central");
	if ($DropPoint!=south) order($SouthLeader, guard, "MissionGroup\\DropPointGroup1\\south");
}

function fakePlayer::vehicle::onAttacked(%attackee, %attacker)
{
	healObject(%attackee, 750);		//To make them live approx. as long as players
}

function fakePlayer::vehicle::onNewLeader(%leader)
{
	if (!$missionStarted) return;
	schedule("$"@getName(getGroup(%leader))@"Leader= "@%leader@";",0);
	schedule("order("@%leader@", guard, \"MissionGroup/DropPointGroup1/"@getGroup(%leader)@"\");",1);
}

function fakePlayer::vehicle::onDestroyed(%destroyee, %destroyer)
{
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
	tacticalUpdate(kill, %destroyee, %destroyer);
	if (randomInt(0,10)==5)
		vehicle::salvage(%destroyee);
	killChannel(%destroyee);
}
/////////////////Alliance Functions////////////////////////////////////////////////////////////
function striker::vehicle::onAttacked(%attackee, %attacker)
{
	if ($DropPoint!=south) healObject($Striker, 25000);
}

function striker::vehicle::onDestroyed(%destroyee, %destroyer)
{
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
	tacticalUpdate(kill, %destroyee, %destroyer);
	killChannel(%destroyee);
	missionObjective1.status=*IDSTR_OBJ_FAILED;
	forceToDebrief();
}

function icehawk::vehicle::onAttacked(%attackee, %attacker)
{
	if ($DropPoint!=north) healObject($Icehawk, 25000);
}

function icehawk::vehicle::onDestroyed(%destroyee, %destroyer)
{
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
	tacticalUpdate(kill, %destroyee, %destroyer);
	killChannel(%destroyee);
	missionObjective1.status=*IDSTR_OBJ_FAILED;
	forceToDebrief();
}

function command::vehicle::onAttacked(%attackee, %attacker)
{
	if ($DropPoint!=center) healObject(%attackee, 25000);
	echo("healing "@ getHUDName(%attackee) @" ("@%attackee@") with 25000");
}

function command::vehicle::onNewLeader(%leader)
{
	if (!$missionStarted) return;
	schedule("$HQ= "@%leader@"; say(0,$HQ,*IDSTR_AB6_TCM3);",10);
}

function command::vehicle::onDestroyed(%destroyee, %destroyer)
{
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
	tacticalUpdate(kill, %destroyee, %destroyer);
	say(0,0,"gen_static01.wav");
	say(0,%destroyee, "sm_riana_dm1.wav");
	killChannel(%destroyee);
	//group isGroupDestroyed would cause problems if starfields still intact. Don't want to redo mission tree
	if ((isGroupDestroyed("MissionGroup/Alliance/Command/trail1"))&&(isGroupDestroyed("MissionGroup/Alliance/Command/trail2"))&&(isGroupDestroyed("MissionGroup/Alliance/Command/trail3")))
	{
		missionObjective1.status=*IDSTR_OBJ_FAILED;
		forceToDebrief();
	}
}

//Another cut-out scriptclass when I realized there was no Long Patrol here. Oh well, maybe I'll still find a use.
function uplink::vehicle::onDestroyed(%destroyee, %destroyer)
{
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
	tacticalUpdate(kill, %destroyee, %destroyer);
	killChannel(%destroyee);
}

function sensor::vehicle::onDestroyed(%destroyee, %destroyer)
{
	if (%destroyer==$Player)	//Teamkiller!
		retaliateAgainstPlayer();
	tacticalUpdate(kill, %destroyee, %destroyer);
	killChannel(%destroyee);
	if((isGroupDestroyed($Surveyors))&&(isGroupDestroyed($MetaJammers)))
	{
		if(getGroup(%destroyer==$Artil2))
		{
			$ObjectiveArray[5]=*IDSTR_OBJ_FAILED;
			if($DropPoint!=south) say(0,0,"mission_fail.wav");
		}
		$LongRangeSensors= false;	//No more omniscience
	}
}

function trackDropships()
{
	%livingShips=0;
	%coordTotalx=0;
	%coordTotaly=0;
	%coordTotalz=0;
	for(%i=1; %i<=4; %i++)
	{
		%currentDropship= getObjectID("MissionGroup/Cybrid/Dropships/ds"@%i);
		if(!isGroupDestroyed(%currentDropship))
		{
			%livingShips++;
			%coordTotalx += getPosition(%currentDropship, x);
			%coordTotaly += getPosition(%currentDropship, y);
			%coordTotalz += getPosition(%currentDropship, z);
		}
	}
	setPosition($NavTracker, %coordTotalx/%livingShips, %coordTotaly/%livingShips, %coordTotalz/%livingShips);
	//It's an average point
	schedule("trackDropships();",1);
}
/////////////////Artillery Functions///////////////////////////////////////////////////////////
function artOne::vehicle::onArrived(%who, %where)
{
	if (%where==getObjectID("MissionGroup/Paths/huArtilPath/point1"))
	{
		order($RaidLeader, guard, $Artil1);
		schedule("order($Raid, cloak, true);",15);
		schedule("order($Raid, attack, $Artil1Leader);",60);
	}
	if (%where==getObjectID("MissionGroup/Paths/huArtilPath/point3"))
	{
		order($Artil1, clear, true);
		//Artillery locks itself into the ground
		playAnimSequence(getObjectId("MissionGroup/Alliance/Artil1/artil1"),2,true);
		playAnimSequence(getObjectId("MissionGroup/Alliance/Artil1/artil2"),2,true);
		say(0,$Artil1Leader,*IDSTR_GEN_AR11, "gen_1arb01.wav");
		schedule("order($Artil1, holdPosition, true);",5);
	}
}

function artOne::vehicle::onDisabled()
{
	say(0,0,"DEBUG: Artillery disabled. No function parameters, though.");
}

function artOne::vehicle::onAttacked(%attackee, %attacker)
{
	if ($artilleryAmbush) return;
	if(getTeam(%attacker)!=*IDSTR_TEAM_RED) return;		//No pranks! We mean the real thing!
	$ArtilleryAmbush = true;
	say(0,%attackee, *IDSTR_AB6_ART2, "cyb_ara03.wav");
	missionObjective6.status=*IDSTR_OBJ_IGNORE;
	schedule("say(0,0,\"mission_abort.wav\");",5);
	%x= getPosition($Artil1Leader, x);
	%y= getPosition($Artil1Leader, y);
	%z= getPosition($Artil1Leader, z);
	setPosition($NavFour, %x, %y, %z);
	establishSortie();		//Command decides who goes and rescues convoy
}

function artOne::vehicle::onNewLeader(%who)
{
	if (!$missionStarted) return;
	$Artil1Leader= %who;
	order($Artil1, formation, delta);
	order($Artil1Leader, guard, "MissionGroup/Paths/huArtilPath");
}

function artOne::vehicle::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(kill, %destroyee, %destroyer);
	if (randomInt(0,10)==5)
		vehicle::salvage(%destroyee);
	killChannel(%destroyee);
	if ((isGroupDestroyed($Artil1))&&(getGroup(%destroyer)==$Raid))	//If killed by thrust, doesn't count
	{
		$objectiveArray[4]=*IDSTR_OBJ_FAILED;
		if($DropPoint==north) missionObjective4.status= *IDSTR_OBJ_IGNORE;
		else missionObjective4.status= *IDSTR_OBJ_FAILED;	//Hide if not yours, else display failure
		if($DropPoint!=north) say(0,0,"mission_fail.wav");
	}
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
}

function artTwo::vehicle::onAttacked(%attackee, %attacker)
{
	say(0,%attackee, *IDSTR_AB6_ATR3, "cyb_ara03.wav");
}

function artTwo::vehicle::onDestroyed(%destroyee, %destroyer)
{
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
	tacticalUpdate(kill, %destroyee, %destroyer);
	if (randomInt(0,10)==5)
		vehicle::salvage(%destroyee);
	killChannel(%destroyee);
	if (isGroupDestroyed($Artil2))
	{
		missionObjective6.status= *IDSTR_OBJ_FAILED;
	}
}

function artTwo::vehicle::onMessage(%this, %message, %_1, %_2, %_3, %_4, %_5, %_6, %_7, %_8, %_9)
{
	if (%message == "ArtilleryOutOfRange")
	{
		say(0,%this,*IDSTR_AB6_ART4);
	}
	else if (%message == "ArtilleryOutOfAmmo") 
	{
		say(0,%this,*IDSTR_AB6_ART5);
        	order(%this, shutDown, true);
	}
	else if( %message == "TargetDestroyed")
	{ 
		$ArtilleryTarget=0;
		order($Artil1, clear, true);
		order($Artil2, clear, true);
	}
	say("DEBUG: Message="@%message);
}

function vehicle::onSpot(%spotter, %target)
{
	if (missionObjective6.status!=*IDSTR_OBJ_ACTIVE) return;	//Not allowed
	if($ObjectiveArray[4]==*IDSTR_OBJ_IGNORE)	//Artillery behaves differently in first part of game
	{
		if(%target!="")			//Good target, artillery not ready
		{
			say(0,0,*IDSTR_AB6_ART8);
			return;
		}
	}
	else if(%target == "")	//No target
	{
		$ArtilleryTarget=0;
		order($Artil1, clear, true);
		order($Artil2, clear, true);
	}
	if(%target!="")		//If this was true with objective array thing, function would never get here
	{
		artilleryAttack(%target);
	}  
}

function artilleryAttack(%target)		//Picks 2 guns (if possible) to fire
{
	say(0,0,*IDSTR_AB6_ART7);
	order($Artil1, attack, %target);
	order($Artil2, attack, %target);
	order($Artil2, holdPosition, true);
//This was the original code
//	%tempArray[1]=0;
//	%tempArray[2]=0;
//	%tempArray[3]=0;
//	%tempArray[4]=0;
//	%tempArray[5]=0;
//	%tempArray[6]=0;
//	%currentSlot=1;
//	%artil1=0;
//	%artil2=1;
//	for(%i=1; %i<=3; %i++)
//	{
//		if(!isGroupDestroyed("MissionGroup/Alliance/Artil1/artil"@%i))
//		{
//			%tempArray[%currentSlot]=getObjectID("MissionGroup/Alliance/Artil1/artil"@%i);
//			%currentSlot++;
//		}
//	}
//	for(%i=1; %i<=3; %i++)
//	{
//		if(!isGroupDestroyed("MissionGroup/Alliance/Artil2/artil"@%i))
//		{
//			%tempArray[%currentSlot]=getObjectID("MissionGroup/Alliance/Artil2/artil"@%i);
//			%currentSlot++;
//		}
//	}
//	if (%currentSlot>2)	//More than one artillery in the list
//		%artil2=0;
//	while(%artil1==0)
//	{
//		%artil1= %tempArray[randomInt(1,6)];
//	}
//	while((%artil2==0)||(%artil2==%artil1))		//Don't stop until both are false
//	{
//		%artil2= %tempArray[randomInt(1,6)];
//	}
//	schedule("order("@%artil1@", attack, "@%target@");", randomInt(1,4));
//	if (%artil2!=1) schedule("order("@%artil2@", attack, "@%target@");", randomInt(1,4));
}
/////////////////Cybrid Functions//////////////////////////////////////////////////////////////
function cybrids::vehicle::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(kill, %destroyee, %destroyer);
	if (getGroup(%destroyer)==getObjectID("PlayerSquad"))
		vehicle::salvage(%destroyee);
	killChannel(%destroyee);
}

function ds1::vehicle::onAttacked(%attackee, %attacker)
{
	healObject(%attackee, 50000);
}

function dropship::vehicle::onAttacked(%attackee, %attacker)
{
	if((%attackee==%attacker)||(%attacker==""))
		healObject(%attackee, 50000);
}

function dropship::vehicle::onDestroyed(%destroyee, %destroyer)
{
	$DownedDropships++;
	tacticalUpdate(kill, %destroyee, %destroyer);
	//No salvage; all surviving equipment rendered inoperable on crash
	killChannel(%destroyee);
	if ($DownedDropships>=2)
	{
		if($DropPoint!=north) missionObjective7.status= *IDSTR_OBJ_IGNORE;
		else missionObjective7.status= *IDSTR_OBJ_COMPLETED;	//Hide if not yours, else display
		$objectiveArray[7]= *IDSTR_OBJ_COMPLETED;
	}
	destroyPassengers(%destroyee);
}

function ds1::vehicle::onArrived(%who, %where)
{
	if((getObjectName(%where)=="touchdown")||(getObjectName(%where)=="Touchdown"))
	{
		order(%who, clear, true);
		loadDropship(%who, $Nexus1);
		schedule("tacticalUpdate(misc, \"Mobile Nexus loaded onto Cybrid Dropship.\");",2);
	}
	if((getObjectName(%where)=="safe")||(getObjectName(%where)=="Safe"))
	{
		order(%who, clear, true);
	}
}

function dropship::vehicle::onArrived(%who, %where)
{
	if((getObjectName(%where)=="touchdown")||(getObjectName(%where)=="Touchdown"))
	{
		order(%who, clear, true);
		for(%i=1; %i<=8; %i++)
		{
			headForDropship(getObjectID("MissionGroup/Cybrid/MainForce/veh"@%i),%who);
		}
		for(%i=1; %i<=8; %i++)
		{
			headForDropship(getObjectID("MissionGroup/Cybrid/Thrust/veh"@%i),%who);
		}
		for(%i=1; %i<=4; %i++)
		{
			headForDropship(getObjectID("MissionGroup/Cybrid/Stealth/veh"@%i),%who);
		}
		headForDropship("MissionGroup/Cybrid/Reinforce/quad1/Alpha", %who);
		headForDropship("MissionGroup/Cybrid/Reinforce/quad1/Beta", %who);
		headForDropship("MissionGroup/Cybrid/Reinforce/quad1/Gamma", %who);
		headForDropship("MissionGroup/Cybrid/Reinforce/quad1/Delta", %who);
		headForDropship("MissionGroup/Cybrid/Reinforce/quad2/Alpha", %who);
		headForDropship("MissionGroup/Cybrid/Reinforce/quad2/Beta", %who);
		headForDropship("MissionGroup/Cybrid/Reinforce/quad2/Gamma", %who);
		headForDropship("MissionGroup/Cybrid/Reinforce/quad2/Delta", %who);
		headForDropship("MissionGroup/Cybrid/Raid/Alpha", %who);
		headForDropship("MissionGroup/Cybrid/Raid/Beta", %who);
		headForDropship("MissionGroup/Cybrid/Raid/Gamma", %who);
		headForDropship("MissionGroup/Cybrid/Raid/Delta", %who);
	}
	if((getObjectName(%where)=="safe")||(getObjectName(%where)=="Safe"))
	{
		order(%who, clear, true);
	}
}

function raid::vehicle::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(kill, %destroyee, %destroyer);
	if (getGroup(%destroyer)==getObjectID("PlayerSquad"))
		vehicle::salvage(%destroyee);
	killChannel(%destroyee);
	if (!isGroupDestroyed($Raid)) return;
	fakePlayersGuardPoints();
	//Formations don't work, because artillery?
	order($cybArtil, guard, "MissionGroup/Paths/cyArtilPath");
	if($dropPoint==north) missionObjective4.status=*IDSTR_OBJ_IGNORE;
	else missionObjective4.status=*IDSTR_OBJ_FAILED;	//Hide if not yours, else display results
	$objectiveArray[4]= *IDSTR_OBJ_FAILED;
	if (isGroupDestroyed($Artil1)) return;
	$objectiveArray[4]= *IDSTR_OBJ_COMPLETED;
	if ($DropPoint!=north)
	{
		say(0,0,"gen_oc01.wav");
		missionObjective4.status=*IDSTR_OBJ_COMPLETED;
	}
}

function cybArt::vehicle::onArrived(%who, %where)
{
	if(%where!=getObjectID("MissionGroup/Paths/cyArtilPath/point2")) return;
	order($cybArtil, attack, $MetaJammers);
	order($cybArtil, attack, $Surveyors);
	if (missionObjective5.status!=*IDSTR_OBJ_ACTIVE) startObjective5();
}

function cybArt::vehicle::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(kill, %destroyee, %destroyer);
	if (getGroup(%destroyer)==getObjectID("PlayerSquad"))
		vehicle::salvage(%destroyee);
	killChannel(%destroyee);
	if(isGroupDestroyed($cybArtil))
	{
		if($DropPoint==south) missionObjective5.status= *IDSTR_OBJ_IGNORE;
		else missionObjective5.status= *IDSTR_OBJ_COMPLETED;	//Display only if your objective
		$objectiveArray[5]= *IDSTR_OBJ_COMPLETED;
		schedule("beginStalking();",15);
		schedule("launchThrust();",35);		//Everybody stays busy!
		if ($DropPoint!=south) say(0,0,"gen_oc01.wav");
		fakePlayersGuardPoints();
	}
	if((isGroupDestroyed($Surveyors))&&(isGroupDestroyed($MetaJammers)))
	{
		$ObjectiveArray[5]=*IDSTR_OBJ_FAILED;
		//Display only if your objective
		if($DropPoint!=south) missionObjective5.status= *IDSTR_OBJ_COMPLETED;
	}
}

function beginStalking()
{
	order("MissionGroup/Cybrid/Stealth", holdFire, true);
	order("MissionGroup/Cybrid/Stealth", holdPosition, true);
	order("MissionGroup/Cybrid/Stealth/veh1", guard, "MissionGroup/Paths/cliffHugger");
	schedule("order(\"MissionGroup/Cybrid/Stealth/veh2\", guard, \"MissionGroup/Paths/cliffHugger\");",15);
	schedule("order(\"MissionGroup/Cybrid/Stealth/veh3\", guard, \"MissionGroup/Paths/cliffHugger\");",30);
	schedule("order(\"MissionGroup/Cybrid/Stealth/veh4\", guard, \"MissionGroup/Paths/cliffHugger\");",45);
}

function stealth::vehicle::onArrived(%who, %where)
{
	if(%where==getObjectID("MissionGroup/Paths/cliffHugger/marker4"))
	{
		order(%who, cloak, true);
		order(%who, speed, high);
	}
	if(%where==getObjectID("MissionGroup/Paths/cliffHugger/marker12"))
	{
		if($DropPoint!=north)		//Player does nothing
		{
			order($North, attack, %who);
			if(!$StealthHunt)	//Not started yet
			{
				say(0,$NorthLeader, *IDSTR_AB6_FPL3);
				startObjective9();
			}
		}
	}
	if(%where==getObjectID("MissionGroup/Paths/cliffHugger/marker13"))
	{
		order(%who, holdPosition, false);
		order(%who, holdFire, false);
		order(%who, attack, $Artil2);
		if(!$StealthHunt)	//Not started yet
		{
			startObjective9();
		}
	}
}

function stealth::vehicle::onAttacked(%attackee, %attacker)
{
	if((!$StealthHunt)&&(getTeam(%attacker)==*IDSTR_TEAM_YELLOW))	//Not started yet, not a collision
	{
		startObjective9();
	}
}

function stealth::vehicle::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(kill, %destroyee, %destroyer);
	if (getGroup(%destroyer)==getObjectID("PlayerSquad"))
		vehicle::salvage(%destroyee);
	killChannel(%destroyee);
	if (isGroupDestroyed("MissionGroup/Cybrid/Stealth"))
	{
		$objectiveArray[9]=*IDSTR_OBJ_COMPLETED;
		missionObjective9.status=*IDSTR_OBJ_IGNORE;
		if($DropPoint==north)
		{
			say(0,0,"gen_oc01.wav");
			missionObjective9.status=*IDSTR_OBJ_COMPLETED;
		}
	}
}

function launchThrust()
{
	echo("Launching Thrust");
	%x= getPosition("MissionGroup/thrustExit", x);
	%y= getPosition("MissionGroup/thrustExit", y);
	%z= getPosition("MissionGroup/thrustExit", z)+5;
	//The defense wall was designed to slow and inhibit any charge made through it.
	//Unfortunately, it has the same effect on the cybrids.
	//This function should take care of that.
	setPosition($Thrust, %x, %y, %z);
	order($Thrust, formation, Att8);
	order($ThrustLeader, guard, $metaNexus);
	if($LongRangeSensors)
		startObjective8();		//Detected immediately
	else checkBoundary("enter", $ThrustLeader, $Tyranny, 1500, "startObjective8();");
}

function thrust::vehicle::onAttacked(%attackee, %attacker)
{
	//What's this supposed to do again?
}

function thrust::vehicle::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(kill, %destroyee, %destroyer);
	if (getGroup(%destroyer)==getObjectID("PlayerSquad"))
		vehicle::salvage(%destroyee);
	killChannel(%destroyee);
	if (isGroupDestroyed($Thrust))
	{
		if (!isGroupDestroyed("MissionGroup/Metagen/Perimiter"))
			$objectiveArray[8]=*IDSTR_OBJ_COMPLETED;
		else $objectiveArray[8]=*IDSTR_OBJ_FAILED;
		missionObjective8.status=*IDSTR_OBJ_IGNORE;
		if($dropPoint!=north)
		{
			say(0,0,"gen_oc01.wav");
			missionObjective8.status= $objectiveArray[8];
		}
		fakePlayersGuardPoints();
		schedule("bridsNeedHelp();",75);
	}
}

function thrust::vehicle::onNewLeader(%vehicle)
{
	if(missionObjective8.status!=*IDSTR_OBJ_ACTIVE) return;
	order($Thrust, formation, Att8);
	$ThrustLeader= %vehicle;
	order($ThrustLeader, guard, $metaNexus);
}

function bridsNeedHelp()
{
	order($RFSquad1Leader, guard, $NavCybrids);
	order($RFSquad1Leader, speed, high);
	schedule("order($RFSquad2Leader, guard, $NavCybrids);",30);
	checkBoundary("enter", $RFSquad1Leader, $NavCybrids, 1500, "onRFApproach();");
	checkBoundary("enter", $RFSquad2Leader, $NavCybrids, 1500, "onRFApproach();");
	if ($LongRangeSensors)
		startObjective10();
	else checkBoundary("enter", $Striker, $RFSquad1Leader, 1500, "startObjective10();");
	//1500m is the range of Striker One's crossbow sensor
}

function onRFApproach()
{
	if($ObjectiveArray[10]==*IDSTR_OBJ_FAILED) return;	//Already run
	missionObjective10.status=*IDSTR_OBJ_IGNORE;
	$ObjectiveArray[10]=*IDSTR_OBJ_FAILED;
	if($DropPoint==south)
	{
		say(0,0,"mission_fail.wav");
		missionObjective10.status=*IDSTR_OBJ_FAILED;
	}
	say(0,0,*IDSTR_AB6_STRK13);
	if($DropPoint!=South)
	{
		order($South, clear, true);
		fakePlayersGuardPoints();
	}
}

function cybRF::vehicle::onNewLeader(%who)
{
	if(missionObjective10.status!=*IDSTR_OBJ_ACTIVE) return;
	if(getGroup(%who)==$RFSquad1)
	{
		$RFSquad1Leader= %who;
		order($RFSquad1, formation, delta);
	}
	if(getGroup(%who)==$RFSquad2)
	{
		$RFSquad2Leader= %who;
		order($RFSquad2, formation, delta);
	}
	order(%who, guard, $NavCybrids);
}

function cybRF::vehicle::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(kill, %destroyee, %destroyer);
	if (getGroup(%destroyer)==getObjectID("PlayerSquad"))
		vehicle::salvage(%destroyee);
	killChannel(%destroyee);
	//Only run next part if reinforcements haven't penetrated
	if((isGroupDestroyed("MissionGroup/Cybrid/Reinforce"))&&($ObjectiveArray[10]!=*IDSTR_OBJ_FAILED))
	{
		missionObjective10.status=*IDSTR_OBJ_IGNORE;
		$ObjectiveArray[10]=*IDSTR_OBJ_COMPLETED;
		if($DropPoint==south)
		{
			say(0,0,"gen_oc01.wav");
			missionObjective10.status=*IDSTR_OBJ_COMPLETED;
		}
		say(0,0,*IDSTR_AB6_STRK14);
		if($DropPoint!=South) fakePlayersGuardPoints();
		schedule("startObjective6();",10);
	}
}
/////////////////Dropship Passenger Functions//////////////////////////////////////////////////
function headForDropship(%who, %dropship)
{
	%who= getObjectID(%who);
	if(isGroupDestroyed(%who)) return;
	order(%who, speed, high);
	order(%who, guard, %dropship);
	checkBoundary("enter", %who, %dropship, 75, "loadDropship("@%dropship@","@%who@");");
}

function clearPassengerArray(%dropship)
{
	for(%i=0; %i<15; %i++)
	{
		%dropship.passenger[%i]= 0;
	}
}

function loadDropship(%dropship, %passenger)
{
	if (isGroupDestroyed(%passenger)) return;
	%i=0;
	while((%dropship.passenger[%i]!=0)&&(%i>15))	//Looking at a taken slot
	{
		%i++;
	}
	if (%i>15) return;	//Ship's full!
	%dropship.passenger[%i]= %passenger;
	%randX= randomInt(0,1000);
	%randY= randomInt(0,1000);
	setPosition(%passenger, 9000+%randX, 9000+%randY, 1000);	//Removed from map
	if((getVehicleName(%passenger)=="Mobile Nexus")||(%i==15))	//Dropship filled
		schedule("launchDropship("@%dropship@");",5);
}

function launchDropship(%dropship)
{
	if (%dropship==$Dropship1)
		order(%dropship, guard, "MissionGRoup/Paths/DST1");
	if (%dropship==$Dropship2)
		order(%dropship, guard, "MissionGRoup/Paths/DST2");
	if (%dropship==$Dropship3)
		order(%dropship, guard, "MissionGRoup/Paths/DST3");
	if (%dropship==$Dropship4)
		order(%dropship, guard, "MissionGRoup/Paths/DST4");
}

function destroyPassengers(%dropship)
{
	for(%i=0; %i<15; %i++)
	{
		if (%dropship.passenger[%i]!=0)
			damageObject(%dropship.passenger[%i], 50000);
	}
}
/////////////////Metagen Functions/////////////////////////////////////////////////////////////
function preDisableNexus()	//Checks for when the Metagens get close
{
	%minDistance=9999;
	if (MGCheckDistance("MissionGroup/Metagen/Perimiter/veh1")<%minDistance)
		%minDistance= MGCheckDistance("MissionGroup/Metagen/Perimiter/veh1");
	if (MGCheckDistance("MissionGroup/Metagen/Perimiter/veh2")<%minDistance)
		%minDistance= MGCheckDistance("MissionGroup/Metagen/Perimiter/veh2");
	if (MGCheckDistance("MissionGroup/Metagen/Perimiter/veh3")<%minDistance)
		%minDistance= MGCheckDistance("MissionGroup/Metagen/Perimiter/veh3");
	if (MGCheckDistance("MissionGroup/Metagen/Perimiter/veh4")<%minDistance)
		%minDistance= MGCheckDistance("MissionGroup/Metagen/Perimiter/veh4");
	if (MGCheckDistance("MissionGroup/Metagen/Perimiter/veh5")<%minDistance)
		%minDistance= MGCheckDistance("MissionGroup/Metagen/Perimiter/veh5");
	if (MGCheckDistance("MissionGroup/Metagen/Perimiter/veh6")<%minDistance)
		%minDistance= MGCheckDistance("MissionGroup/Metagen/Perimiter/veh6");
	if (MGCheckDistance("MissionGroup/Metagen/Perimiter/veh7")<%minDistance)
		%minDistance= MGCheckDistance("MissionGroup/Metagen/Perimiter/veh7");
	if (%minDistance<300) disableNexus();
	else schedule("preDisableNexus();",5);
}

function MGCheckDistance(%who)
{
	if (isGroupDestroyed(%who)) return 9999;
	else return getDistance(%who, $Nexus2);
}

function disableNexus()		//Run when MGs get near $Nexus2
{
	if(isSafe(*IDSTR_TEAM_YELLOW, $Nexus2, 250))	//Yellow Team's enemies are red, so this checks for support
	{
		setTeam($Nexus2, *IDSTR_TEAM_NEUTRAL);
		say(0,0,*IDSTR_AB6_MTG1);
		order($Alliance, holdFire, true);
		order($Metagens, holdFire, true);
		order($Empire, holdFire, true);
		//No move orders; nexus is disabled!
	}
	else schedule("disableNexus();",5);
}
/////////////////Mission Functions/////////////////////////////////////////////////////////////
function startObjective4()		//Your artillery
{
	say(0,$Striker, *IDSTR_AB6_STRK1, "ab6_strk1.wav");
	say(0,$Artil1Leader, *IDSTR_AB6_ART1, "ab6_art1.wav");
	order($Artil1Leader, makeLeader, true);
	order($Artil1, formation, delta);
	//Formations don't work, because its artillery?
	order($Artil1, guard, "MissionGroup/Paths/huArtilPath");
}

function establishSortie()
{
	if ($DropPoint==north)	//Player stays out of it
	{
		order($CenterLeader, guard, $NavFour);
		order($SouthLeader, guard, $NavFour);
		order($Center, speed, high);
		order($South, speed, high);
		say(0,$Striker, *IDSTR_AB6_STRK2, "ab6_strk2.wav");
		setNavMarker($NavFour, true, 0);		//Just provide it
	}
	if ($DropPoint==center)	//Player goes in too
	{
		missionObjective4.status= *IDSTR_OBJ_ACTIVE;
		order($SouthLeader, guard, $NavFour);
		order($South, speed, high);
		say(0,$Striker, *IDSTR_AB6_STRK3, "ab6_strk3.wav");
		if(getDistance($Player, $NavFour)>1000)
			setNavMarker($NavFour, true, -1);	//If too far away force navpoint
		else setNavMarker($NavFour, true, 0);		//Otherwise just provide it
	}
	if ($DropPoint==south)	//Player goes in too
	{
		missionObjective4.status= *IDSTR_OBJ_ACTIVE;
		order($CenterLeader, guard, $NavFour);
		order($Center, speed, high);
		say(0,$Striker, *IDSTR_AB6_STRK3, "ab6_strk3.wav");
		if(getDistance($Player, $NavFour)>1000)
			setNavMarker($NavFour, true, -1);	//If too far away force navpoint
		else setNavMarker($NavFour, true, 0);		//Otherwise just provide it
	}
}

function startObjective5()		//Cybrid artillery
{
	say(0, $Icehawk, *IDSTR_AB6_CAA1, "ab6_caa1.wav");
	schedule("say(0, $HQ, *IDSTR_AB6_TCM1, \"ab6_tcm1.wav\");",8);
	if($DropPoint==south)		//Player no go
	{
		schedule("setNavMarker($NavFive, true, 0);",8);
		say(0, $NorthLeader, *IDSTR_AB6_FPL1, "ab6_fpl1.wav");
		order($NorthLeader, attack, $cybArtil);
		order($CenterLeader, attack, $cybArtil);
	}
	else if($DropPoint==center)		//Player go
	{
		say(0,$HQ, *IDSTR_AB6_CAA2,"ab6_caa2.wav");
		say(0,0,"mission_obj_new.wav");
		missionObjective5.status= *IDSTR_OBJ_ACTIVE;
		schedule("setNavMarker($NavFive, true, -1);",8);
		say(0, $NorthLeader, *IDSTR_AB6_FPL1, "ab6_fpl1.wav");
		order($NorthLeader, attack, $cybArtil);
	}
	else if($DropPoint==north)		//Player go
	{
		say(0,$HQ, *IDSTR_AB6_CAA2,"ab6_caa2.wav");
		say(0,0,"mission_obj_new.wav");
		missionObjective5.status= *IDSTR_OBJ_ACTIVE;
		schedule("setNavMarker($NavFive, true, -1);",8);
		order($CenterLeader, attack, $cybArtil);
	}
}

function startObjective6()
{
	missionObjective6.status= *IDSTR_OBJ_ACTIVE;		//Activates LTADS recognition
	say(0,$Striker, *IDSTR_AB6_STRK12);
}

function startObjective7()		//dropships!
{
	for(%i=1; %i<=4; %i++)
	{
		schedule("order($Dropship"@%i@", guard, \"MissionGroup/Paths/DSL"@%i@"\");",0);
	}
	say(0,0,*IDSTR_AB6_SRV1, "ab6_srv1.wav");
	schedule("say(0,0,*IDSTR_AB6_STRK4);",2);
	schedule("say(0,0,*IDSTR_AB6_STRK5);",10);
	if ($DropPoint==north)
	{
		setNavMarker($NavTracker, true, -1);
		schedule("say(0,$HQ, \"mission_obj_new.wav\");",12);
		missionObjective7.status=*IDSTR_OBJ_ACTIVE;
	}
	else
	{
		setNavMarker($NavTracker, true, 0);
		schedule("say(0,$NorthLeader, *IDSTR_AB6_FPL2);",12);
		order($North, attack, "MissionGroup/Cybrid/Dropships");
	}
	schedule("alliedCharge();",30);
	trackDropships();
}

function startObjective8()		//run whenever the thrust is detected
{
	if ($LongRangeSensors)
		say(0,$HQ,*IDSTR_AB6_SRV2);
	else say(0,0,$Striker, *IDSTR_AB6_STRK6);
	say(0,$Icehawk, *IDSTR_AB6_CAA3);
	if($DropPoint==north)
	{
		setNavMarker($NavEight, true, 0);
		order($CenterLeader, guard, $NavEight);
		order($SouthLeader, guard, $NavEight);
	}
	if($DropPoint==center)
	{
		missionObjective8.status=*IDSTR_OBJ_ACTIVE;
		setNavMarker($NavEight, true, -1);
                say(0,0,"mission_obj_new.wav");
		order($SouthLeader, guard, $NavEight);
	}
	if($DropPoint==south)
	{
		missionObjective8.status=*IDSTR_OBJ_ACTIVE;
		setNavMarker($NavEight, true, -1);
                say(0,0,"mission_obj_new.wav");
		order($CenterLeader, guard, $NavEight);
	}
}

function startObjective9()
{
	$StealthHunt=true;
	say(0,$HQ,*IDSTR_AB6_TCM2);
	if ($DropPoint==north)
	{
		missionObjective9.status=*IDSTR_OBJ_ACTIVE;
		say(0,0,"mission_obj_new.wav");
	}
	else
	{
		//$North will see cybrids when they pass behind.
	}
}

function startObjective10()
{
	if ($LongRangeSensors)
		say(0,$HQ,*IDSTR_AB6_SRV3);
	else say(0,0,$Striker, *IDSTR_AB6_STRK7);
	if ($DropPoint==South)
	{
		say(0,$Striker, *IDSTR_AB6_STRK8);
		missionObjective10.status= *IDSTR_OBJ_ACTIVE;
		setNavMarker($NavTen, true, -1);
	}
	else
	{
		say(0,$Striker, *IDSTR_AB6_STRK9);
		order($SouthLeader, guard, $NavTen);
		setNavMarker($NavTen, true, 0);
	}
}

function alliedCharge()
{
	say(0,$Icehawk, *IDSTR_AB6_CAA4);
	schedule("say(0,$Tyranny, *IDSTR_AB6_MTG2);",7);
	schedule("say(0,$HQ, *IDSTR_AB6_TCM4);",16);
	schedule("say(0,$ImpGen, *IDSTR_AB6_IMP1);",13);
	//Drones stay behind
	schedule("order(\"MissionGroup/Alliance/Perimiter\", guard, $NavCybrids);",2);
	schedule("order($Striker, guard, $NavCybrids);",2);
	schedule("order($Icehawk, guard, $NavCybrids);",2);
	if($DropPoint!=north) schedule("order($North, guard, $NavCybrids);",2);
	if($DropPoint!=center) schedule("order($Center, guard, $NavCybrids);",2);
	if($DropPoint!=south) schedule("order($South, guard, $NavCybrids);",2);
	schedule("order(\"MissionGroup/Metagen/Perimiter\", guard, $NavCybrids);",10);
	schedule("order($Tyranny, guard, $NavCybrids);",10);
	schedule("order(\"MissionGroup/Imperial/Perimiter\", guard, $NavCybrids);",14);
	schedule("order($ImpGen, guard, $NavCybrids);",10);
	
	schedule("say(0,0, *IDSTR_AB6_MTG3);",20);
	schedule("say(0,0, *IDSTR_AB6_MTG4);",23);
	schedule("preDisableNexus();",22);
	schedule("checkForVictory();",60);
}
/////////////////Miscellaneous/////////////////////////////////////////////////////////////////
function isToLive::vehicle::onAttacked(%attackee, %attacker)
{
	healObject(%attackee, 25000);
}

function structure::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(destroy, %destroyee, %destroyer);
	killChannel(%destroyee);
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
	$SectionsDown++;
	echo(getGroup(%destroyer)@"  "@$Artil1@"  "@$Artil2);
	if((getGroup(%destroyer)==$Artil2)||(getGroup(%destroyer)==$Artil1))
	{
		say(0,%destroyer,*IDSTR_AB6_ART6);
	}
	if($SectionsDown==9)
	{
		startObjective7();
		if((getGroup(%destroyer)==$Artil2)||(getGroup(%destroyer)==$Artil1))
			missionObjective6.status=*IDSTR_OBJ_COMPLETED;	//Filter out if player did it...
	}
}

function vehicle::onDestroyed(%destroyee, %destroyer)
{
	tacticalUpdate(kill, %destroyee, %destroyer);
	if ((getGroup(%destroyer)==getObjectID("PlayerSquad"))||(getGroup(%destroyee)==getObjectID("PlayerSquad")))
		vehicle::salvage(%destroyee);
	killChannel(%destroyee);
	if ((getTeam(%destroyee)==*IDSTR_TEAM_YELLOW)&&(%destroyer==$Player))	//Teamkiller!
		retaliateAgainstPlayer();
}

function checkForVictory()
{	
	if ((isSafe(*IDSTR_TEAM_YELLOW, $navCybrids, 1500))&&(getTeam($Nexus2)==*IDSTR_TEAM_NEUTRAL))
	{
		say(0,0,*IDSTR_AB6_STRK10);
		schedule("say(0,0,*IDSTR_AB6_STRK11);",2);
		schedule("say(0,0,*IDSTR_AB6_ALI1, \"M7_niiiceone.WAV\");",7);		//Niiiiceoooooooooooooone!
		schedule("say(0,0,*IDSTR_AB6_ALI2, \"M5_TDM_partyatred.wav\");",12);	//Party, at Red Base!
		missionObjective3.status=*IDSTR_OBJ_COMPLETED;
		schedule("win();",15);
	}
	else schedule("checkForVictory();",15);
}

function win()
{
	if((!isGroupDestroyed($Striker))&&(!isGroupDestroyed($Icehawk))&&(!isGroupDestroyed($Command)))
		missionObjective1.status=*IDSTR_OBJ_COMPLETED;
	displayAllSecondaryObjectives();
	doInventory();
	forceToDebrief();
}

function displayAllSecondaryObjectives()
{
	if ($DownedDropships==0)  //Failed if nothing shot down, completed if two shot down, incomplete otherwise
	{
		missionObjective7.status= *IDSTR_OBJ_IGNORE;	//Active objectives wont display correctly, see below
		$objectiveArray[7]= *IDSTR_OBJ_FAILED;
	}

	for(%i=4; %i<=10; %i++)
	{
		if(%i==6) %i=7;		//Skip 6
		//Will set objective status unless incomplete, which is not recorded
		schedule("if(missionObjective"@%i@".status!=*IDSTR_OBJ_ACTIVE) missionObjective"@%i@".status= $objectiveArray["@%i@"];",0);
	}
}

function doInventory()
{
	echo("Doing inventory");
	//No inventory for now. It's the end of the campaign!
}

function tacticalUpdate(%mode, %arg1, %arg2)
{
	//if (isGroupDestroyed($Player)) return;
	//if (isGroupDestroyed($HQ)) return;
	debugLog(%mode @"  "@ %arg1 @"  "@ %arg2);
	if (%mode==kill)	//Vehicle destroyed
	{
		if ((%arg1==%arg2)||(%arg2==0))
			echo("<F4>TACTICAL UPDATE: "@getHUDName(%arg1)@" has been destroyed");
		else say(0,0,"<F4>TACTICAL UPDATE: "@getHUDName(%arg1)@" has been destroyed by "@getHUDName(%arg2));
	}
	else if (%mode==destroy)	//Structure or turret destroyed
	{
		%temp= getHUDName(%arg1);
		if ((%temp=="")||(%temp==false)) %temp= "Structure";
		if ((%arg1==%arg2)||(%arg2==0))
			say(0,0,"<F4>TACTICAL UPDATE: "@%temp@" has been destroyed");
		else say(0,0,"<F4>TACTICAL UPDATE: "@%temp@" has been destroyed by "@getHUDName(%arg2));
	}
	else if(%mode==dropPod)
	{
		%dist= getHypotenuse(getPosition($Player,x)-%arg1,getPosition($Player,y)-%arg2);
		%dist= floor(%dist+0.5);
		%dir= OVBearing(%arg1 - getPosition($Player,x), %arg2 - getPosition($Player,y));
		say(0,0,"<F4>TACTICAL UPDATE: Drop pod impact detected: "@%dir@" at "@%dist@"m");
	}
	else if (%mode==misc)
		say(0,0,"<F4>TACTICAL UPDATE: "@%arg1);
	else say(0,0,"<F4>TACTICAL UPDATE: <F5>DATA ERROR");
}

function consoleEchoObjectives()
{
	echo(missionObjective1.shortTxt@": "@missionObjective1.status);
	echo(missionObjective3.shortTxt@": "@missionObjective3.status);
	echo(missionObjective4.shortTxt@": "@$objectiveArray[4]);
	echo(missionObjective5.shortTxt@": "@$objectiveArray[5]);
	echo(missionObjective6.shortTxt@": "@missionObjective6.status);
	echo(missionObjective7.shortTxt@": "@$objectiveArray[7]);
	echo(missionObjective8.shortTxt@": "@$objectiveArray[8]);
	echo(missionObjective9.shortTxt@": "@$objectiveArray[9]);
	echo(missionObjective10.shortTxt@": "@$objectiveArray[10]);
}

function checkBoundary( %dir, %obj1, %obj2, %distance, %callback)	//we need to add a stopping element
{
   %obj1 = getObjectId( %obj1 );
   %obj2 = getObjectId( %obj2 );
   %run=false;

   %var = getGroupDistance( %obj1, %obj2 );
   
   if( %dir == "enter" || %dir == "Enter" )
   {
      if( %var <= %distance )
      {
         %func = %callback;
         schedule( %func, 0 );
	 %run=true;
      }
   }
   else if( %dir == "leave" || %dir == "Leave" )
   {
      if( %var >= %distance )
      {
         %func = %callback;
         schedule( %func, 0 );
	 %run=true;
      }
   }
   if (!%run)
	schedule("checkBoundary(\""@%dir@"\","@%obj1@","@%obj2@","@%distance@",\""@%callback@"\");",5);
}