//Start of Post-Promethean campaign cinematic
//Start of battle of Escandani Chasm

newObject( cinematicsVol, SimVolume, "cinematic.vol");
newObject( tauntsVol, SimVolume, "PPcinematic.vol");

function player::onAdd(%who)
{
        $THEPLAYER = %who;
        cdAudioCycle(yougot);
        titanSounds();
}

function vehicle::onAdd(%what)
{
        if (playerManager::vehicleIdToPlayerNum(%what)==$THEPLAYER)
        {schedule("startMovie();",3);}
}

function startMovie()
{
        setWideScreen(true);
        focusCamera( splineCamera, CameraPathRep1 );
        $Pod1= getObjectId("MissionGroup\\Drop Pods\\pod1");
        $Pod2= getObjectId("MissionGroup\\Drop Pods\\pod2");
        $Pod3= getObjectId("MissionGroup\\Drop Pods\\pod3");
        $Pod4= getObjectId("MissionGroup\\Drop Pods\\pod4");
        $Pod5= getObjectId("MissionGroup\\Drop Pods\\pod5");
        $Pod6= getObjectId("MissionGroup\\Drop Pods\\pod6");
        $PodR= getObjectId("MissionGroup\\Drop Pods\\cDropPod1");
        $Brid1= getObjectId("MissionGroup\\Cybrids\\brid1");
        $Brid2= getObjectId("MissionGroup\\Cybrids\\brid2");
        $Brid3= getObjectId("MissionGroup\\Cybrids\\brid3");
        $Brid4= getObjectId("MissionGroup\\Cybrids\\brid4");
        $Brid5= getObjectId("MissionGroup\\Cybrids\\brid5");
        $Brid6= getObjectId("MissionGroup\\Cybrids\\brid6");
        $Forward= getObjectId("MissionGroup\\Perimiter\\Forward");
        $Left= getObjectId("MissionGroup\\Perimiter\\left");
        $Right= getObjectId("MissionGroup\\Perimiter\\right");
        $Outer= getObjectId("MissionGroup\\Perimiter\\outer");
        //Pod and Brid not there
        order($Brid6, holdFire, true);
        //order($Brid6, holdPosition, true);
}

function CameraPathRep1::camera::waypoint2(%this)
{
        say(0,0,"sm_delta6_gc1.wav");    //Scans show no movement
        say(0,0,"sm_verity_gc1.wav");    //Not picking anything up
        say(0,0,"sm_hunter_gc1.wav");    //Keep your eyes peeled
}

function CameraPathRep1::camera::waypoint6(%this)
{
        say(0,0,"sm_rajah_cc1.wav");      //Bloody hell...
}

function CameraPathRep1::camera::waypoint7(%this)
{
        initDrops();
        say(0,0,"HA0_TCM01.wav");         //We're picking up enemies in your perimiter
}

function CameraPathRep1::camera::waypoint8(%this)
{
        setTowerCamera("MissionGroup\\Perimiter\\Forward", 3223.23, 6578.45, 454.079);
        say(0,0,"sm_jaguar_gc2.wav");       //Ready to burn some brids
        schedule("order($Forward,attack, $Brid6);",4);
        schedule("order($Left,guard, $PodR);",3);
        schedule("order($Right,guard, $podR);",3);
        schedule("order($Outer,guard, $PodR);",2.5);
        schedule("say(0,0,\"sm_jaguar_ts1.wav\");",6.5);   //I have targets!
        schedule("setTowerCamera($forward, 3420, 7080, 325);",8);
        schedule("say(0,0,\"CYB_gn01.wav\");",24);  //Need backup!
        schedule("say(0,0,\"sm_delta6_cc2.wav\");",26);  //Death is irrelevent!
        schedule("say(0,0,\"HE1_Harabec_CN03.WAV\");",27);  //Hang on, people...
        schedule("say(0,0,\"cin_he_02.wav\");",33);      //It was only a matter of time before the Cybrids overran Titan...
        //schedule("setDominantCamera($Forward, $Brid6);",28);
        schedule("setCombatCamera($Forward, $Brid6, L, 60);",28);
        schedule("fadeEvent(0, out, 10, 0, 0, 0);",29);
}

function initDrops()
{
   playAnimSequence( $Pod1, 0.0, 1.0 );
   schedule("playAnimSequence( $Pod2, 0.0, 1.0 );",1);
   schedule("playAnimSequence( $Pod3, 0.0, 1.0 );",1.1);
   schedule("playAnimSequence( $Pod4, 0.0, 1.0 );",2);
   schedule("playAnimSequence( $Pod5, 0.0, 1.0 );",2.2);
   schedule("playAnimSequence( $Pod6, 0, 1.0 );",2.7);
   schedule("setposition($Pod6, 0, 0, -10);",9);
   schedule("order($Brid1, guard, $PodR);",7);
   schedule("order($Brid2, guard, $PodR);",8);
   schedule("order($Brid3, guard, $PodR);",9.1);
   schedule("order($Brid4, guard, $PodR);",9);
   schedule("order($Brid5, guard, $PodR);",9.2);
   schedule("order($Brid6, guard, $Forward);",10);
   schedule("order($Brid6, attack, $Forward);",10.7);
   //Pod and Brid appear
   schedule("order($Brid6, holdFire, false);",9.7);
   //schedule("order($Brid6, holdPosition, false);",9.8);
   //Make sure adju isnt stuck on pod
   $adjux= getposition($Brid6,x); $adjuy= getposition($Brid6,y); $adjuz= getposition($Brid6,z);
   schedule("setposition($Brid6, $adjux+50, $adjuy-50, $adjuz+20);",9.6);
}
